1.0.2 API documentation: man.doxy Source File

| 1.0.2 API documentation

man.doxy
1 # Doxyfile 1.8.18
2
3 # This file describes the settings to be used by the documentation system
4 # doxygen (www.doxygen.org) for a project.
5 #
6 # All text after a double hash (##) is considered a comment and is placed in
7 # front of the TAG it is preceding.
8 #
9 # All text after a single hash (#) is considered a comment and will be ignored.
10 # The format is:
11 # TAG = value [value, ...]
12 # For lists, items can also be appended using:
13 # TAG += value [value, ...]
14 # Values that contain spaces should be placed between quotes (\" \").
15
16 #---------------------------------------------------------------------------
17 # Project related configuration options
18 #---------------------------------------------------------------------------
19
20 # This tag specifies the encoding used for all characters in the configuration
21 # file that follow. The default is UTF-8 which is also the encoding used for all
22 # text before the first occurrence of this tag. Doxygen uses libiconv (or the
23 # iconv built into libc) for the transcoding. See
24 # https://www.gnu.org/software/libiconv/ for the list of possible encodings.
25 # The default value is: UTF-8.
26
27 DOXYFILE_ENCODING = UTF-8
28
29 # The PROJECT_NAME tag is a single word (or a sequence of words surrounded by
30 # double-quotes, unless you are using Doxywizard) that should identify the
31 # project for which the documentation is generated. This name is used in the
32 # title of most generated pages and in a few other places.
33 # The default value is: My Project.
34
35 PROJECT_NAME = "1.0.0 API documentation"
36
37 # The PROJECT_NUMBER tag can be used to enter a project or revision number. This
38 # could be handy for archiving the generated documentation or if some version
39 # control system is used.
40
41 PROJECT_NUMBER =
42
43 # Using the PROJECT_BRIEF tag one can provide an optional one line description
44 # for a project that appears at the top of each page and should give viewer a
45 # quick idea about the purpose of the project. Keep the description short.
46
47 PROJECT_BRIEF =
48
49 # With the PROJECT_LOGO tag one can specify a logo or an icon that is included
50 # in the documentation. The maximum height of the logo should not exceed 55
51 # pixels and the maximum width should not exceed 200 pixels. Doxygen will copy
52 # the logo to the output directory.
53
54 PROJECT_LOGO = theme/logo-mini.png
55
56 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) path
57 # into which the generated documentation will be written. If a relative path is
58 # entered, it will be relative to the location where doxygen was started. If
59 # left blank the current directory will be used.
60
61 OUTPUT_DIRECTORY = .
62
63 # If the CREATE_SUBDIRS tag is set to YES then doxygen will create 4096 sub-
64 # directories (in 2 levels) under the output directory of each output format and
65 # will distribute the generated files over these directories. Enabling this
66 # option can be useful when feeding doxygen a huge amount of source files, where
67 # putting all generated files in the same directory would otherwise causes
68 # performance problems for the file system.
69 # The default value is: NO.
70
71 CREATE_SUBDIRS = NO
72
73 # If the ALLOW_UNICODE_NAMES tag is set to YES, doxygen will allow non-ASCII
74 # characters to appear in the names of generated files. If set to NO, non-ASCII
75 # characters will be escaped, for example _xE3_x81_x84 will be used for Unicode
76 # U+3044.
77 # The default value is: NO.
78
79 ALLOW_UNICODE_NAMES = NO
80
81 # The OUTPUT_LANGUAGE tag is used to specify the language in which all
82 # documentation generated by doxygen is written. Doxygen will use this
83 # information to generate all constant output in the proper language.
84 # Possible values are: Afrikaans, Arabic, Armenian, Brazilian, Catalan, Chinese,
85 # Chinese-Traditional, Croatian, Czech, Danish, Dutch, English (United States),
86 # Esperanto, Farsi (Persian), Finnish, French, German, Greek, Hungarian,
87 # Indonesian, Italian, Japanese, Japanese-en (Japanese with English messages),
88 # Korean, Korean-en (Korean with English messages), Latvian, Lithuanian,
89 # Macedonian, Norwegian, Persian (Farsi), Polish, Portuguese, Romanian, Russian,
90 # Serbian, Serbian-Cyrillic, Slovak, Slovene, Spanish, Swedish, Turkish,
91 # Ukrainian and Vietnamese.
92 # The default value is: English.
93
94 OUTPUT_LANGUAGE = English
95
96 # The OUTPUT_TEXT_DIRECTION tag is used to specify the direction in which all
97 # documentation generated by doxygen is written. Doxygen will use this
98 # information to generate all generated output in the proper direction.
99 # Possible values are: None, LTR, RTL and Context.
100 # The default value is: None.
101
102 OUTPUT_TEXT_DIRECTION = None
103
104 # If the BRIEF_MEMBER_DESC tag is set to YES, doxygen will include brief member
105 # descriptions after the members that are listed in the file and class
106 # documentation (similar to Javadoc). Set to NO to disable this.
107 # The default value is: YES.
108
109 BRIEF_MEMBER_DESC = YES
110
111 # If the REPEAT_BRIEF tag is set to YES, doxygen will prepend the brief
112 # description of a member or function before the detailed description
113 #
114 # Note: If both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the
115 # brief descriptions will be completely suppressed.
116 # The default value is: YES.
117
118 REPEAT_BRIEF = YES
119
120 # This tag implements a quasi-intelligent brief description abbreviator that is
121 # used to form the text in various listings. Each string in this list, if found
122 # as the leading text of the brief description, will be stripped from the text
123 # and the result, after processing the whole list, is used as the annotated
124 # text. Otherwise, the brief description is used as-is. If left blank, the
125 # following values are used ($name is automatically replaced with the name of
126 # the entity):The $name class, The $name widget, The $name file, is, provides,
127 # specifies, contains, represents, a, an and the.
128
129 ABBREVIATE_BRIEF = "The $name class " \
130 "The $name widget " \
131 "The $name file " \
132 is \
133 provides \
134 specifies \
135 contains \
136 represents \
137 a \
138 an \
139 the
140
141 # If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then
142 # doxygen will generate a detailed section even if there is only a brief
143 # description.
144 # The default value is: NO.
145
146 ALWAYS_DETAILED_SEC = NO
147
148 # If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all
149 # inherited members of a class in the documentation of that class as if those
150 # members were ordinary class members. Constructors, destructors and assignment
151 # operators of the base classes will not be shown.
152 # The default value is: NO.
153
154 INLINE_INHERITED_MEMB = NO
155
156 # If the FULL_PATH_NAMES tag is set to YES, doxygen will prepend the full path
157 # before files name in the file list and in the header files. If set to NO the
158 # shortest path that makes the file name unique will be used
159 # The default value is: YES.
160
161 FULL_PATH_NAMES = NO
162
163 # The STRIP_FROM_PATH tag can be used to strip a user-defined part of the path.
164 # Stripping is only done if one of the specified strings matches the left-hand
165 # part of the path. The tag can be used to show relative paths in the file list.
166 # If left blank the directory from which doxygen is run is used as the path to
167 # strip.
168 #
169 # Note that you can specify absolute paths here, but also relative paths, which
170 # will be relative from the directory where doxygen is started.
171 # This tag requires that the tag FULL_PATH_NAMES is set to YES.
172
173 STRIP_FROM_PATH = "C:/Documents and Settings/Groove/ "
174
175 # The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of the
176 # path mentioned in the documentation of a class, which tells the reader which
177 # header file to include in order to use a class. If left blank only the name of
178 # the header file containing the class definition is used. Otherwise one should
179 # specify the list of include paths that are normally passed to the compiler
180 # using the -I flag.
181
182 STRIP_FROM_INC_PATH =
183
184 # If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter (but
185 # less readable) file names. This can be useful is your file systems doesn't
186 # support long names like on DOS, Mac, or CD-ROM.
187 # The default value is: NO.
188
189 SHORT_NAMES = YES
190
191 # If the JAVADOC_AUTOBRIEF tag is set to YES then doxygen will interpret the
192 # first line (until the first dot) of a Javadoc-style comment as the brief
193 # description. If set to NO, the Javadoc-style will behave just like regular Qt-
194 # style comments (thus requiring an explicit @brief command for a brief
195 # description.)
196 # The default value is: NO.
197
198 JAVADOC_AUTOBRIEF = YES
199
200 # If the JAVADOC_BANNER tag is set to YES then doxygen will interpret a line
201 # such as
202 # /***************
203 # as being the beginning of a Javadoc-style comment "banner". If set to NO, the
204 # Javadoc-style will behave just like regular comments and it will not be
205 # interpreted by doxygen.
206 # The default value is: NO.
207
208 JAVADOC_BANNER = NO
209
210 # If the QT_AUTOBRIEF tag is set to YES then doxygen will interpret the first
211 # line (until the first dot) of a Qt-style comment as the brief description. If
212 # set to NO, the Qt-style will behave just like regular Qt-style comments (thus
213 # requiring an explicit \brief command for a brief description.)
214 # The default value is: NO.
215
216 QT_AUTOBRIEF = NO
217
218 # The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make doxygen treat a
219 # multi-line C++ special comment block (i.e. a block of //! or /// comments) as
220 # a brief description. This used to be the default behavior. The new default is
221 # to treat a multi-line C++ comment block as a detailed description. Set this
222 # tag to YES if you prefer the old behavior instead.
223 #
224 # Note that setting this tag to YES also means that rational rose comments are
225 # not recognized any more.
226 # The default value is: NO.
227
228 MULTILINE_CPP_IS_BRIEF = NO
229
230 # If the INHERIT_DOCS tag is set to YES then an undocumented member inherits the
231 # documentation from any documented member that it re-implements.
232 # The default value is: YES.
233
234 INHERIT_DOCS = YES
235
236 # If the SEPARATE_MEMBER_PAGES tag is set to YES then doxygen will produce a new
237 # page for each member. If set to NO, the documentation of a member will be part
238 # of the file/class/namespace that contains it.
239 # The default value is: NO.
240
241 SEPARATE_MEMBER_PAGES = NO
242
243 # The TAB_SIZE tag can be used to set the number of spaces in a tab. Doxygen
244 # uses this value to replace tabs by spaces in code fragments.
245 # Minimum value: 1, maximum value: 16, default value: 4.
246
247 TAB_SIZE = 8
248
249 # This tag can be used to specify a number of aliases that act as commands in
250 # the documentation. An alias has the form:
251 # name=value
252 # For example adding
253 # "sideeffect=@par Side Effects:\n"
254 # will allow you to put the command \sideeffect (or @sideeffect) in the
255 # documentation, which will result in a user-defined paragraph with heading
256 # "Side Effects:". You can put \n's in the value part of an alias to insert
257 # newlines (in the resulting output). You can put ^^ in the value part of an
258 # alias to insert a newline as if a physical newline was in the original file.
259 # When you need a literal { or } or , in the value part of an alias you have to
260 # escape them by means of a backslash (\‍), this can lead to conflicts with the
261 # commands \{ and \} for these it is advised to use the version @{ and @} or use
262 # a double escape (\\{ and \\})
263
264 ALIASES =
265
266 # Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources
267 # only. Doxygen will then generate output that is more tailored for C. For
268 # instance, some of the names that are used will be different. The list of all
269 # members will be omitted, etc.
270 # The default value is: NO.
271
272 OPTIMIZE_OUTPUT_FOR_C = NO
273
274 # Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java or
275 # Python sources only. Doxygen will then generate output that is more tailored
276 # for that language. For instance, namespaces will be presented as packages,
277 # qualified scopes will look different, etc.
278 # The default value is: NO.
279
280 OPTIMIZE_OUTPUT_JAVA = NO
281
282 # Set the OPTIMIZE_FOR_FORTRAN tag to YES if your project consists of Fortran
283 # sources. Doxygen will then generate output that is tailored for Fortran.
284 # The default value is: NO.
285
286 OPTIMIZE_FOR_FORTRAN = NO
287
288 # Set the OPTIMIZE_OUTPUT_VHDL tag to YES if your project consists of VHDL
289 # sources. Doxygen will then generate output that is tailored for VHDL.
290 # The default value is: NO.
291
292 OPTIMIZE_OUTPUT_VHDL = NO
293
294 # Set the OPTIMIZE_OUTPUT_SLICE tag to YES if your project consists of Slice
295 # sources only. Doxygen will then generate output that is more tailored for that
296 # language. For instance, namespaces will be presented as modules, types will be
297 # separated into more groups, etc.
298 # The default value is: NO.
299
300 OPTIMIZE_OUTPUT_SLICE = NO
301
302 # Doxygen selects the parser to use depending on the extension of the files it
303 # parses. With this tag you can assign which parser to use for a given
304 # extension. Doxygen has a built-in mapping, but you can override or extend it
305 # using this tag. The format is ext=language, where ext is a file extension, and
306 # language is one of the parsers supported by doxygen: IDL, Java, JavaScript,
307 # Csharp (C#), C, C++, D, PHP, md (Markdown), Objective-C, Python, Slice, VHDL,
308 # Fortran (fixed format Fortran: FortranFixed, free formatted Fortran:
309 # FortranFree, unknown formatted Fortran: Fortran. In the later case the parser
310 # tries to guess whether the code is fixed or free formatted code, this is the
311 # default for Fortran type files). For instance to make doxygen treat .inc files
312 # as Fortran files (default is PHP), and .f files as C (default is Fortran),
313 # use: inc=Fortran f=C.
314 #
315 # Note: For files without extension you can use no_extension as a placeholder.
316 #
317 # Note that for custom extensions you also need to set FILE_PATTERNS otherwise
318 # the files are not read by doxygen.
319
320 EXTENSION_MAPPING =
321
322 # If the MARKDOWN_SUPPORT tag is enabled then doxygen pre-processes all comments
323 # according to the Markdown format, which allows for more readable
324 # documentation. See https://daringfireball.net/projects/markdown/ for details.
325 # The output of markdown processing is further processed by doxygen, so you can
326 # mix doxygen, HTML, and XML commands with Markdown formatting. Disable only in
327 # case of backward compatibilities issues.
328 # The default value is: YES.
329
330 MARKDOWN_SUPPORT = YES
331
332 # When the TOC_INCLUDE_HEADINGS tag is set to a non-zero value, all headings up
333 # to that level are automatically included in the table of contents, even if
334 # they do not have an id attribute.
335 # Note: This feature currently applies only to Markdown headings.
336 # Minimum value: 0, maximum value: 99, default value: 5.
337 # This tag requires that the tag MARKDOWN_SUPPORT is set to YES.
338
339 TOC_INCLUDE_HEADINGS = 5
340
341 # When enabled doxygen tries to link words that correspond to documented
342 # classes, or namespaces to their corresponding documentation. Such a link can
343 # be prevented in individual cases by putting a % sign in front of the word or
344 # globally by setting AUTOLINK_SUPPORT to NO.
345 # The default value is: YES.
346
347 AUTOLINK_SUPPORT = YES
348
349 # If you use STL classes (i.e. std::string, std::vector, etc.) but do not want
350 # to include (a tag file for) the STL sources as input, then you should set this
351 # tag to YES in order to let doxygen match functions declarations and
352 # definitions whose arguments contain STL classes (e.g. func(std::string);
353 # versus func(std::string) {}). This also make the inheritance and collaboration
354 # diagrams that involve STL classes more complete and accurate.
355 # The default value is: NO.
356
357 BUILTIN_STL_SUPPORT = NO
358
359 # If you use Microsoft's C++/CLI language, you should set this option to YES to
360 # enable parsing support.
361 # The default value is: NO.
362
363 CPP_CLI_SUPPORT = NO
364
365 # Set the SIP_SUPPORT tag to YES if your project consists of sip (see:
366 # https://www.riverbankcomputing.com/software/sip/intro) sources only. Doxygen
367 # will parse them like normal C++ but will assume all classes use public instead
368 # of private inheritance when no explicit protection keyword is present.
369 # The default value is: NO.
370
371 SIP_SUPPORT = NO
372
373 # For Microsoft's IDL there are propget and propput attributes to indicate
374 # getter and setter methods for a property. Setting this option to YES will make
375 # doxygen to replace the get and set methods by a property in the documentation.
376 # This will only work if the methods are indeed getting or setting a simple
377 # type. If this is not the case, or you want to show the methods anyway, you
378 # should set this option to NO.
379 # The default value is: YES.
380
381 IDL_PROPERTY_SUPPORT = YES
382
383 # If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
384 # tag is set to YES then doxygen will reuse the documentation of the first
385 # member in the group (if any) for the other members of the group. By default
386 # all members of a group must be documented explicitly.
387 # The default value is: NO.
388
389 DISTRIBUTE_GROUP_DOC = NO
390
391 # If one adds a struct or class to a group and this option is enabled, then also
392 # any nested class or struct is added to the same group. By default this option
393 # is disabled and one has to add nested compounds explicitly via \ingroup.
394 # The default value is: NO.
395
396 GROUP_NESTED_COMPOUNDS = NO
397
398 # Set the SUBGROUPING tag to YES to allow class member groups of the same type
399 # (for instance a group of public functions) to be put as a subgroup of that
400 # type (e.g. under the Public Functions section). Set it to NO to prevent
401 # subgrouping. Alternatively, this can be done per class using the
402 # \nosubgrouping command.
403 # The default value is: YES.
404
405 SUBGROUPING = NO
406
407 # When the INLINE_GROUPED_CLASSES tag is set to YES, classes, structs and unions
408 # are shown inside the group in which they are included (e.g. using \ingroup)
409 # instead of on a separate page (for HTML and Man pages) or section (for LaTeX
410 # and RTF).
411 #
412 # Note that this feature does not work in combination with
413 # SEPARATE_MEMBER_PAGES.
414 # The default value is: NO.
415
416 INLINE_GROUPED_CLASSES = NO
417
418 # When the INLINE_SIMPLE_STRUCTS tag is set to YES, structs, classes, and unions
419 # with only public data fields or simple typedef fields will be shown inline in
420 # the documentation of the scope in which they are defined (i.e. file,
421 # namespace, or group documentation), provided this scope is documented. If set
422 # to NO, structs, classes, and unions are shown on a separate page (for HTML and
423 # Man pages) or section (for LaTeX and RTF).
424 # The default value is: NO.
425
426 INLINE_SIMPLE_STRUCTS = NO
427
428 # When TYPEDEF_HIDES_STRUCT tag is enabled, a typedef of a struct, union, or
429 # enum is documented as struct, union, or enum with the name of the typedef. So
430 # typedef struct TypeS {} TypeT, will appear in the documentation as a struct
431 # with name TypeT. When disabled the typedef will appear as a member of a file,
432 # namespace, or class. And the struct will be named TypeS. This can typically be
433 # useful for C code in case the coding convention dictates that all compound
434 # types are typedef'ed and only the typedef is referenced, never the tag name.
435 # The default value is: NO.
436
437 TYPEDEF_HIDES_STRUCT = NO
438
439 # The size of the symbol lookup cache can be set using LOOKUP_CACHE_SIZE. This
440 # cache is used to resolve symbols given their name and scope. Since this can be
441 # an expensive process and often the same symbol appears multiple times in the
442 # code, doxygen keeps a cache of pre-resolved symbols. If the cache is too small
443 # doxygen will become slower. If the cache is too large, memory is wasted. The
444 # cache size is given by this formula: 2^(16+LOOKUP_CACHE_SIZE). The valid range
445 # is 0..9, the default is 0, corresponding to a cache size of 2^16=65536
446 # symbols. At the end of a run doxygen will report the cache usage and suggest
447 # the optimal cache size from a speed point of view.
448 # Minimum value: 0, maximum value: 9, default value: 0.
449
450 LOOKUP_CACHE_SIZE = 0
451
452 #---------------------------------------------------------------------------
453 # Build related configuration options
454 #---------------------------------------------------------------------------
455
456 # If the EXTRACT_ALL tag is set to YES, doxygen will assume all entities in
457 # documentation are documented, even if no documentation was available. Private
458 # class members and static file members will be hidden unless the
459 # EXTRACT_PRIVATE respectively EXTRACT_STATIC tags are set to YES.
460 # Note: This will also disable the warnings about undocumented members that are
461 # normally produced when WARNINGS is set to YES.
462 # The default value is: NO.
463
464 EXTRACT_ALL = NO
465
466 # If the EXTRACT_PRIVATE tag is set to YES, all private members of a class will
467 # be included in the documentation.
468 # The default value is: NO.
469
470 EXTRACT_PRIVATE = NO
471
472 # If the EXTRACT_PRIV_VIRTUAL tag is set to YES, documented private virtual
473 # methods of a class will be included in the documentation.
474 # The default value is: NO.
475
476 EXTRACT_PRIV_VIRTUAL = NO
477
478 # If the EXTRACT_PACKAGE tag is set to YES, all members with package or internal
479 # scope will be included in the documentation.
480 # The default value is: NO.
481
482 EXTRACT_PACKAGE = NO
483
484 # If the EXTRACT_STATIC tag is set to YES, all static members of a file will be
485 # included in the documentation.
486 # The default value is: NO.
487
488 EXTRACT_STATIC = YES
489
490 # If the EXTRACT_LOCAL_CLASSES tag is set to YES, classes (and structs) defined
491 # locally in source files will be included in the documentation. If set to NO,
492 # only classes defined in header files are included. Does not have any effect
493 # for Java sources.
494 # The default value is: YES.
495
496 EXTRACT_LOCAL_CLASSES = NO
497
498 # This flag is only useful for Objective-C code. If set to YES, local methods,
499 # which are defined in the implementation section but not in the interface are
500 # included in the documentation. If set to NO, only methods in the interface are
501 # included.
502 # The default value is: NO.
503
504 EXTRACT_LOCAL_METHODS = NO
505
506 # If this flag is set to YES, the members of anonymous namespaces will be
507 # extracted and appear in the documentation as a namespace called
508 # 'anonymous_namespace{file}', where file will be replaced with the base name of
509 # the file that contains the anonymous namespace. By default anonymous namespace
510 # are hidden.
511 # The default value is: NO.
512
513 EXTRACT_ANON_NSPACES = NO
514
515 # If the HIDE_UNDOC_MEMBERS tag is set to YES, doxygen will hide all
516 # undocumented members inside documented classes or files. If set to NO these
517 # members will be included in the various overviews, but no documentation
518 # section is generated. This option has no effect if EXTRACT_ALL is enabled.
519 # The default value is: NO.
520
521 HIDE_UNDOC_MEMBERS = YES
522
523 # If the HIDE_UNDOC_CLASSES tag is set to YES, doxygen will hide all
524 # undocumented classes that are normally visible in the class hierarchy. If set
525 # to NO, these classes will be included in the various overviews. This option
526 # has no effect if EXTRACT_ALL is enabled.
527 # The default value is: NO.
528
529 HIDE_UNDOC_CLASSES = YES
530
531 # If the HIDE_FRIEND_COMPOUNDS tag is set to YES, doxygen will hide all friend
532 # declarations. If set to NO, these declarations will be included in the
533 # documentation.
534 # The default value is: NO.
535
536 HIDE_FRIEND_COMPOUNDS = YES
537
538 # If the HIDE_IN_BODY_DOCS tag is set to YES, doxygen will hide any
539 # documentation blocks found inside the body of a function. If set to NO, these
540 # blocks will be appended to the function's detailed documentation block.
541 # The default value is: NO.
542
543 HIDE_IN_BODY_DOCS = YES
544
545 # The INTERNAL_DOCS tag determines if documentation that is typed after a
546 # \internal command is included. If the tag is set to NO then the documentation
547 # will be excluded. Set it to YES to include the internal documentation.
548 # The default value is: NO.
549
550 INTERNAL_DOCS = NO
551
552 # If the CASE_SENSE_NAMES tag is set to NO then doxygen will only generate file
553 # names in lower-case letters. If set to YES, upper-case letters are also
554 # allowed. This is useful if you have classes or files whose names only differ
555 # in case and if your file system supports case sensitive file names. Windows
556 # (including Cygwin) ands Mac users are advised to set this option to NO.
557 # The default value is: system dependent.
558
559 CASE_SENSE_NAMES = YES
560
561 # If the HIDE_SCOPE_NAMES tag is set to NO then doxygen will show members with
562 # their full class and namespace scopes in the documentation. If set to YES, the
563 # scope will be hidden.
564 # The default value is: NO.
565
566 HIDE_SCOPE_NAMES = YES
567
568 # If the HIDE_COMPOUND_REFERENCE tag is set to NO (default) then doxygen will
569 # append additional text to a page's title, such as Class Reference. If set to
570 # YES the compound reference will be hidden.
571 # The default value is: NO.
572
573 HIDE_COMPOUND_REFERENCE= NO
574
575 # If the SHOW_INCLUDE_FILES tag is set to YES then doxygen will put a list of
576 # the files that are included by a file in the documentation of that file.
577 # The default value is: YES.
578
579 SHOW_INCLUDE_FILES = NO
580
581 # If the SHOW_GROUPED_MEMB_INC tag is set to YES then Doxygen will add for each
582 # grouped member an include statement to the documentation, telling the reader
583 # which file to include in order to use the member.
584 # The default value is: NO.
585
586 SHOW_GROUPED_MEMB_INC = NO
587
588 # If the FORCE_LOCAL_INCLUDES tag is set to YES then doxygen will list include
589 # files with double quotes in the documentation rather than with sharp brackets.
590 # The default value is: NO.
591
592 FORCE_LOCAL_INCLUDES = NO
593
594 # If the INLINE_INFO tag is set to YES then a tag [inline] is inserted in the
595 # documentation for inline members.
596 # The default value is: YES.
597
598 INLINE_INFO = NO
599
600 # If the SORT_MEMBER_DOCS tag is set to YES then doxygen will sort the
601 # (detailed) documentation of file and class members alphabetically by member
602 # name. If set to NO, the members will appear in declaration order.
603 # The default value is: YES.
604
605 SORT_MEMBER_DOCS = YES
606
607 # If the SORT_BRIEF_DOCS tag is set to YES then doxygen will sort the brief
608 # descriptions of file, namespace and class members alphabetically by member
609 # name. If set to NO, the members will appear in declaration order. Note that
610 # this will also influence the order of the classes in the class list.
611 # The default value is: NO.
612
613 SORT_BRIEF_DOCS = YES
614
615 # If the SORT_MEMBERS_CTORS_1ST tag is set to YES then doxygen will sort the
616 # (brief and detailed) documentation of class members so that constructors and
617 # destructors are listed first. If set to NO the constructors will appear in the
618 # respective orders defined by SORT_BRIEF_DOCS and SORT_MEMBER_DOCS.
619 # Note: If SORT_BRIEF_DOCS is set to NO this option is ignored for sorting brief
620 # member documentation.
621 # Note: If SORT_MEMBER_DOCS is set to NO this option is ignored for sorting
622 # detailed member documentation.
623 # The default value is: NO.
624
625 SORT_MEMBERS_CTORS_1ST = NO
626
627 # If the SORT_GROUP_NAMES tag is set to YES then doxygen will sort the hierarchy
628 # of group names into alphabetical order. If set to NO the group names will
629 # appear in their defined order.
630 # The default value is: NO.
631
632 SORT_GROUP_NAMES = NO
633
634 # If the SORT_BY_SCOPE_NAME tag is set to YES, the class list will be sorted by
635 # fully-qualified names, including namespaces. If set to NO, the class list will
636 # be sorted only by class name, not including the namespace part.
637 # Note: This option is not very useful if HIDE_SCOPE_NAMES is set to YES.
638 # Note: This option applies only to the class list, not to the alphabetical
639 # list.
640 # The default value is: NO.
641
642 SORT_BY_SCOPE_NAME = YES
643
644 # If the STRICT_PROTO_MATCHING option is enabled and doxygen fails to do proper
645 # type resolution of all parameters of a function it will reject a match between
646 # the prototype and the implementation of a member function even if there is
647 # only one candidate or it is obvious which candidate to choose by doing a
648 # simple string match. By disabling STRICT_PROTO_MATCHING doxygen will still
649 # accept a match between prototype and implementation in such cases.
650 # The default value is: NO.
651
652 STRICT_PROTO_MATCHING = NO
653
654 # The GENERATE_TODOLIST tag can be used to enable (YES) or disable (NO) the todo
655 # list. This list is created by putting \todo commands in the documentation.
656 # The default value is: YES.
657
658 GENERATE_TODOLIST = YES
659
660 # The GENERATE_TESTLIST tag can be used to enable (YES) or disable (NO) the test
661 # list. This list is created by putting \test commands in the documentation.
662 # The default value is: YES.
663
664 GENERATE_TESTLIST = YES
665
666 # The GENERATE_BUGLIST tag can be used to enable (YES) or disable (NO) the bug
667 # list. This list is created by putting \bug commands in the documentation.
668 # The default value is: YES.
669
670 GENERATE_BUGLIST = YES
671
672 # The GENERATE_DEPRECATEDLIST tag can be used to enable (YES) or disable (NO)
673 # the deprecated list. This list is created by putting \deprecated commands in
674 # the documentation.
675 # The default value is: YES.
676
677 GENERATE_DEPRECATEDLIST= YES
678
679 # The ENABLED_SECTIONS tag can be used to enable conditional documentation
680 # sections, marked by \if <section_label> ... \endif and \cond <section_label>
681 # ... \endcond blocks.
682
683 ENABLED_SECTIONS =
684
685 # The MAX_INITIALIZER_LINES tag determines the maximum number of lines that the
686 # initial value of a variable or macro / define can have for it to appear in the
687 # documentation. If the initializer consists of more lines than specified here
688 # it will be hidden. Use a value of 0 to hide initializers completely. The
689 # appearance of the value of individual variables and macros / defines can be
690 # controlled using \showinitializer or \hideinitializer command in the
691 # documentation regardless of this setting.
692 # Minimum value: 0, maximum value: 10000, default value: 30.
693
694 MAX_INITIALIZER_LINES = 30
695
696 # Set the SHOW_USED_FILES tag to NO to disable the list of files generated at
697 # the bottom of the documentation of classes and structs. If set to YES, the
698 # list will mention the files that were used to generate the documentation.
699 # The default value is: YES.
700
701 SHOW_USED_FILES = NO
702
703 # Set the SHOW_FILES tag to NO to disable the generation of the Files page. This
704 # will remove the Files entry from the Quick Index and from the Folder Tree View
705 # (if specified).
706 # The default value is: YES.
707
708 SHOW_FILES = YES
709
710 # Set the SHOW_NAMESPACES tag to NO to disable the generation of the Namespaces
711 # page. This will remove the Namespaces entry from the Quick Index and from the
712 # Folder Tree View (if specified).
713 # The default value is: YES.
714
715 SHOW_NAMESPACES = YES
716
717 # The FILE_VERSION_FILTER tag can be used to specify a program or script that
718 # doxygen should invoke to get the current version for each file (typically from
719 # the version control system). Doxygen will invoke the program by executing (via
720 # popen()) the command command input-file, where command is the value of the
721 # FILE_VERSION_FILTER tag, and input-file is the name of an input file provided
722 # by doxygen. Whatever the program writes to standard output is used as the file
723 # version. For an example see the documentation.
724
725 FILE_VERSION_FILTER =
726
727 # The LAYOUT_FILE tag can be used to specify a layout file which will be parsed
728 # by doxygen. The layout file controls the global structure of the generated
729 # output files in an output format independent way. To create the layout file
730 # that represents doxygen's defaults, run doxygen with the -l option. You can
731 # optionally specify a file name after the option, if omitted DoxygenLayout.xml
732 # will be used as the name of the layout file.
733 #
734 # Note that if you run doxygen from a directory containing a file called
735 # DoxygenLayout.xml, doxygen will parse it automatically even if the LAYOUT_FILE
736 # tag is left empty.
737
738 LAYOUT_FILE =
739
740 # The CITE_BIB_FILES tag can be used to specify one or more bib files containing
741 # the reference definitions. This must be a list of .bib files. The .bib
742 # extension is automatically appended if omitted. This requires the bibtex tool
743 # to be installed. See also https://en.wikipedia.org/wiki/BibTeX for more info.
744 # For LaTeX the style of the bibliography can be controlled using
745 # LATEX_BIB_STYLE. To use this feature you need bibtex and perl available in the
746 # search path. See also \cite for info how to create references.
747
748 CITE_BIB_FILES =
749
750 #---------------------------------------------------------------------------
751 # Configuration options related to warning and progress messages
752 #---------------------------------------------------------------------------
753
754 # The QUIET tag can be used to turn on/off the messages that are generated to
755 # standard output by doxygen. If QUIET is set to YES this implies that the
756 # messages are off.
757 # The default value is: NO.
758
759 QUIET = NO
760
761 # The WARNINGS tag can be used to turn on/off the warning messages that are
762 # generated to standard error (stderr) by doxygen. If WARNINGS is set to YES
763 # this implies that the warnings are on.
764 #
765 # Tip: Turn warnings on while writing the documentation.
766 # The default value is: YES.
767
768 WARNINGS = YES
769
770 # If the WARN_IF_UNDOCUMENTED tag is set to YES then doxygen will generate
771 # warnings for undocumented members. If EXTRACT_ALL is set to YES then this flag
772 # will automatically be disabled.
773 # The default value is: YES.
774
775 WARN_IF_UNDOCUMENTED = YES
776
777 # If the WARN_IF_DOC_ERROR tag is set to YES, doxygen will generate warnings for
778 # potential errors in the documentation, such as not documenting some parameters
779 # in a documented function, or documenting parameters that don't exist or using
780 # markup commands wrongly.
781 # The default value is: YES.
782
783 WARN_IF_DOC_ERROR = YES
784
785 # This WARN_NO_PARAMDOC option can be enabled to get warnings for functions that
786 # are documented, but have no documentation for their parameters or return
787 # value. If set to NO, doxygen will only warn about wrong or incomplete
788 # parameter documentation, but not about the absence of documentation. If
789 # EXTRACT_ALL is set to YES then this flag will automatically be disabled.
790 # The default value is: NO.
791
792 WARN_NO_PARAMDOC = NO
793
794 # If the WARN_AS_ERROR tag is set to YES then doxygen will immediately stop when
795 # a warning is encountered.
796 # The default value is: NO.
797
798 WARN_AS_ERROR = NO
799
800 # The WARN_FORMAT tag determines the format of the warning messages that doxygen
801 # can produce. The string should contain the $file, $line, and $text tags, which
802 # will be replaced by the file and line number from which the warning originated
803 # and the warning text. Optionally the format may contain $version, which will
804 # be replaced by the version of the file (if it could be obtained via
805 # FILE_VERSION_FILTER)
806 # The default value is: $file:$line: $text.
807
808 WARN_FORMAT = "$file:$line: $text"
809
810 # The WARN_LOGFILE tag can be used to specify a file to which warning and error
811 # messages should be written. If left blank the output is written to standard
812 # error (stderr).
813
814 WARN_LOGFILE =
815
816 #---------------------------------------------------------------------------
817 # Configuration options related to the input files
818 #---------------------------------------------------------------------------
819
820 # The INPUT tag is used to specify the files and/or directories that contain
821 # documented source files. You may enter file names like myfile.cpp or
822 # directories like /usr/src/myproject. Separate the files or directories with
823 # spaces. See also FILE_PATTERNS and EXTENSION_MAPPING
824 # Note: If this tag is empty the current directory is searched.
825
826 INPUT = ../glm \
827 .
828
829 # This tag can be used to specify the character encoding of the source files
830 # that doxygen parses. Internally doxygen uses the UTF-8 encoding. Doxygen uses
831 # libiconv (or the iconv built into libc) for the transcoding. See the libiconv
832 # documentation (see: https://www.gnu.org/software/libiconv/) for the list of
833 # possible encodings.
834 # The default value is: UTF-8.
835
836 INPUT_ENCODING = UTF-8
837
838 # If the value of the INPUT tag contains directories, you can use the
839 # FILE_PATTERNS tag to specify one or more wildcard patterns (like *.cpp and
840 # *.h) to filter out the source-files in the directories.
841 #
842 # Note that for custom extensions or not directly supported extensions you also
843 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
844 # read by doxygen.
845 #
846 # If left blank the following patterns are tested:*.c, *.cc, *.cxx, *.cpp,
847 # *.c++, *.java, *.ii, *.ixx, *.ipp, *.i++, *.inl, *.idl, *.ddl, *.odl, *.h,
848 # *.hh, *.hxx, *.hpp, *.h++, *.cs, *.d, *.php, *.php4, *.php5, *.phtml, *.inc,
849 # *.m, *.markdown, *.md, *.mm, *.dox (to be provided as doxygen C comment),
850 # *.doc (to be provided as doxygen C comment), *.txt (to be provided as doxygen
851 # C comment), *.py, *.pyw, *.f90, *.f95, *.f03, *.f08, *.f18, *.f, *.for, *.vhd,
852 # *.vhdl, *.ucf, *.qsf and *.ice.
853
854 FILE_PATTERNS = *.hpp \
855 *.doxy
856
857 # The RECURSIVE tag can be used to specify whether or not subdirectories should
858 # be searched for input files as well.
859 # The default value is: NO.
860
861 RECURSIVE = YES
862
863 # The EXCLUDE tag can be used to specify files and/or directories that should be
864 # excluded from the INPUT source files. This way you can easily exclude a
865 # subdirectory from a directory tree whose root is specified with the INPUT tag.
866 #
867 # Note that relative paths are relative to the directory from which doxygen is
868 # run.
869
870 EXCLUDE =
871
872 # The EXCLUDE_SYMLINKS tag can be used to select whether or not files or
873 # directories that are symbolic links (a Unix file system feature) are excluded
874 # from the input.
875 # The default value is: NO.
876
877 EXCLUDE_SYMLINKS = NO
878
879 # If the value of the INPUT tag contains directories, you can use the
880 # EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude
881 # certain files from those directories.
882 #
883 # Note that the wildcards are matched against the file with absolute path, so to
884 # exclude all test directories for example use the pattern */test/*
885
886 EXCLUDE_PATTERNS =
887
888 # The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names
889 # (namespaces, classes, functions, etc.) that should be excluded from the
890 # output. The symbol name can be a fully qualified name, a word, or if the
891 # wildcard * is used, a substring. Examples: ANamespace, AClass,
892 # AClass::ANamespace, ANamespace::*Test
893 #
894 # Note that the wildcards are matched against the file with absolute path, so to
895 # exclude all test directories use the pattern */test/*
896
897 EXCLUDE_SYMBOLS =
898
899 # The EXAMPLE_PATH tag can be used to specify one or more files or directories
900 # that contain example code fragments that are included (see the \include
901 # command).
902
903 EXAMPLE_PATH =
904
905 # If the value of the EXAMPLE_PATH tag contains directories, you can use the
906 # EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp and
907 # *.h) to filter out the source-files in the directories. If left blank all
908 # files are included.
909
910 EXAMPLE_PATTERNS = *
911
912 # If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be
913 # searched for input files to be used with the \include or \dontinclude commands
914 # irrespective of the value of the RECURSIVE tag.
915 # The default value is: NO.
916
917 EXAMPLE_RECURSIVE = NO
918
919 # The IMAGE_PATH tag can be used to specify one or more files or directories
920 # that contain images that are to be included in the documentation (see the
921 # \image command).
922
923 IMAGE_PATH =
924
925 # The INPUT_FILTER tag can be used to specify a program that doxygen should
926 # invoke to filter for each input file. Doxygen will invoke the filter program
927 # by executing (via popen()) the command:
928 #
929 # <filter> <input-file>
930 #
931 # where <filter> is the value of the INPUT_FILTER tag, and <input-file> is the
932 # name of an input file. Doxygen will then use the output that the filter
933 # program writes to standard output. If FILTER_PATTERNS is specified, this tag
934 # will be ignored.
935 #
936 # Note that the filter must not add or remove lines; it is applied before the
937 # code is scanned, but not when the output code is generated. If lines are added
938 # or removed, the anchors will not be placed correctly.
939 #
940 # Note that for custom extensions or not directly supported extensions you also
941 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
942 # properly processed by doxygen.
943
944 INPUT_FILTER =
945
946 # The FILTER_PATTERNS tag can be used to specify filters on a per file pattern
947 # basis. Doxygen will compare the file name with each pattern and apply the
948 # filter if there is a match. The filters are a list of the form: pattern=filter
949 # (like *.cpp=my_cpp_filter). See INPUT_FILTER for further information on how
950 # filters are used. If the FILTER_PATTERNS tag is empty or if none of the
951 # patterns match the file name, INPUT_FILTER is applied.
952 #
953 # Note that for custom extensions or not directly supported extensions you also
954 # need to set EXTENSION_MAPPING for the extension otherwise the files are not
955 # properly processed by doxygen.
956
957 FILTER_PATTERNS =
958
959 # If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using
960 # INPUT_FILTER) will also be used to filter the input files that are used for
961 # producing the source files to browse (i.e. when SOURCE_BROWSER is set to YES).
962 # The default value is: NO.
963
964 FILTER_SOURCE_FILES = NO
965
966 # The FILTER_SOURCE_PATTERNS tag can be used to specify source filters per file
967 # pattern. A pattern will override the setting for FILTER_PATTERN (if any) and
968 # it is also possible to disable source filtering for a specific pattern using
969 # *.ext= (so without naming a filter).
970 # This tag requires that the tag FILTER_SOURCE_FILES is set to YES.
971
972 FILTER_SOURCE_PATTERNS =
973
974 # If the USE_MDFILE_AS_MAINPAGE tag refers to the name of a markdown file that
975 # is part of the input, its contents will be placed on the main page
976 # (index.html). This can be useful if you have a project on for instance GitHub
977 # and want to reuse the introduction page also for the doxygen output.
978
979 USE_MDFILE_AS_MAINPAGE =
980
981 #---------------------------------------------------------------------------
982 # Configuration options related to source browsing
983 #---------------------------------------------------------------------------
984
985 # If the SOURCE_BROWSER tag is set to YES then a list of source files will be
986 # generated. Documented entities will be cross-referenced with these sources.
987 #
988 # Note: To get rid of all source code in the generated output, make sure that
989 # also VERBATIM_HEADERS is set to NO.
990 # The default value is: NO.
991
992 SOURCE_BROWSER = YES
993
994 # Setting the INLINE_SOURCES tag to YES will include the body of functions,
995 # classes and enums directly into the documentation.
996 # The default value is: NO.
997
998 INLINE_SOURCES = NO
999
1000 # Setting the STRIP_CODE_COMMENTS tag to YES will instruct doxygen to hide any
1001 # special comment blocks from generated source code fragments. Normal C, C++ and
1002 # Fortran comments will always remain visible.
1003 # The default value is: YES.
1004
1005 STRIP_CODE_COMMENTS = YES
1006
1007 # If the REFERENCED_BY_RELATION tag is set to YES then for each documented
1008 # entity all documented functions referencing it will be listed.
1009 # The default value is: NO.
1010
1011 REFERENCED_BY_RELATION = YES
1012
1013 # If the REFERENCES_RELATION tag is set to YES then for each documented function
1014 # all documented entities called/used by that function will be listed.
1015 # The default value is: NO.
1016
1017 REFERENCES_RELATION = YES
1018
1019 # If the REFERENCES_LINK_SOURCE tag is set to YES and SOURCE_BROWSER tag is set
1020 # to YES then the hyperlinks from functions in REFERENCES_RELATION and
1021 # REFERENCED_BY_RELATION lists will link to the source code. Otherwise they will
1022 # link to the documentation.
1023 # The default value is: YES.
1024
1025 REFERENCES_LINK_SOURCE = YES
1026
1027 # If SOURCE_TOOLTIPS is enabled (the default) then hovering a hyperlink in the
1028 # source code will show a tooltip with additional information such as prototype,
1029 # brief description and links to the definition and documentation. Since this
1030 # will make the HTML file larger and loading of large files a bit slower, you
1031 # can opt to disable this feature.
1032 # The default value is: YES.
1033 # This tag requires that the tag SOURCE_BROWSER is set to YES.
1034
1035 SOURCE_TOOLTIPS = YES
1036
1037 # If the USE_HTAGS tag is set to YES then the references to source code will
1038 # point to the HTML generated by the htags(1) tool instead of doxygen built-in
1039 # source browser. The htags tool is part of GNU's global source tagging system
1040 # (see https://www.gnu.org/software/global/global.html). You will need version
1041 # 4.8.6 or higher.
1042 #
1043 # To use it do the following:
1044 # - Install the latest version of global
1045 # - Enable SOURCE_BROWSER and USE_HTAGS in the configuration file
1046 # - Make sure the INPUT points to the root of the source tree
1047 # - Run doxygen as normal
1048 #
1049 # Doxygen will invoke htags (and that will in turn invoke gtags), so these
1050 # tools must be available from the command line (i.e. in the search path).
1051 #
1052 # The result: instead of the source browser generated by doxygen, the links to
1053 # source code will now point to the output of htags.
1054 # The default value is: NO.
1055 # This tag requires that the tag SOURCE_BROWSER is set to YES.
1056
1057 USE_HTAGS = NO
1058
1059 # If the VERBATIM_HEADERS tag is set the YES then doxygen will generate a
1060 # verbatim copy of the header file for each class for which an include is
1061 # specified. Set to NO to disable this.
1062 # See also: Section \class.
1063 # The default value is: YES.
1064
1065 VERBATIM_HEADERS = YES
1066
1067 # If the CLANG_ASSISTED_PARSING tag is set to YES then doxygen will use the
1068 # clang parser (see: http://clang.llvm.org/) for more accurate parsing at the
1069 # cost of reduced performance. This can be particularly helpful with template
1070 # rich C++ code for which doxygen's built-in parser lacks the necessary type
1071 # information.
1072 # Note: The availability of this option depends on whether or not doxygen was
1073 # generated with the -Duse_libclang=ON option for CMake.
1074 # The default value is: NO.
1075
1076 CLANG_ASSISTED_PARSING = NO
1077
1078 # If clang assisted parsing is enabled you can provide the compiler with command
1079 # line options that you would normally use when invoking the compiler. Note that
1080 # the include paths will already be set by doxygen for the files and directories
1081 # specified with INPUT and INCLUDE_PATH.
1082 # This tag requires that the tag CLANG_ASSISTED_PARSING is set to YES.
1083
1084 CLANG_OPTIONS =
1085
1086 # If clang assisted parsing is enabled you can provide the clang parser with the
1087 # path to the compilation database (see:
1088 # http://clang.llvm.org/docs/HowToSetupToolingForLLVM.html) used when the files
1089 # were built. This is equivalent to specifying the "-p" option to a clang tool,
1090 # such as clang-check. These options will then be passed to the parser.
1091 # Note: The availability of this option depends on whether or not doxygen was
1092 # generated with the -Duse_libclang=ON option for CMake.
1093
1094 CLANG_DATABASE_PATH =
1095
1096 #---------------------------------------------------------------------------
1097 # Configuration options related to the alphabetical class index
1098 #---------------------------------------------------------------------------
1099
1100 # If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index of all
1101 # compounds will be generated. Enable this if the project contains a lot of
1102 # classes, structs, unions or interfaces.
1103 # The default value is: YES.
1104
1105 ALPHABETICAL_INDEX = NO
1106
1107 # The COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns in
1108 # which the alphabetical index list will be split.
1109 # Minimum value: 1, maximum value: 20, default value: 5.
1110 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1111
1112 COLS_IN_ALPHA_INDEX = 5
1113
1114 # In case all classes in a project start with a common prefix, all classes will
1115 # be put under the same header in the alphabetical index. The IGNORE_PREFIX tag
1116 # can be used to specify a prefix (or a list of prefixes) that should be ignored
1117 # while generating the index headers.
1118 # This tag requires that the tag ALPHABETICAL_INDEX is set to YES.
1119
1120 IGNORE_PREFIX =
1121
1122 #---------------------------------------------------------------------------
1123 # Configuration options related to the HTML output
1124 #---------------------------------------------------------------------------
1125
1126 # If the GENERATE_HTML tag is set to YES, doxygen will generate HTML output
1127 # The default value is: YES.
1128
1129 GENERATE_HTML = YES
1130
1131 # The HTML_OUTPUT tag is used to specify where the HTML docs will be put. If a
1132 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1133 # it.
1134 # The default directory is: html.
1135 # This tag requires that the tag GENERATE_HTML is set to YES.
1136
1137 HTML_OUTPUT = html
1138
1139 # The HTML_FILE_EXTENSION tag can be used to specify the file extension for each
1140 # generated HTML page (for example: .htm, .php, .asp).
1141 # The default value is: .html.
1142 # This tag requires that the tag GENERATE_HTML is set to YES.
1143
1144 HTML_FILE_EXTENSION = .html
1145
1146 # The HTML_HEADER tag can be used to specify a user-defined HTML header file for
1147 # each generated HTML page. If the tag is left blank doxygen will generate a
1148 # standard header.
1149 #
1150 # To get valid HTML the header file that includes any scripts and style sheets
1151 # that doxygen needs, which is dependent on the configuration options used (e.g.
1152 # the setting GENERATE_TREEVIEW). It is highly recommended to start with a
1153 # default header using
1154 # doxygen -w html new_header.html new_footer.html new_stylesheet.css
1155 # YourConfigFile
1156 # and then modify the file new_header.html. See also section "Doxygen usage"
1157 # for information on how to generate the default header that doxygen normally
1158 # uses.
1159 # Note: The header is subject to change so you typically have to regenerate the
1160 # default header when upgrading to a newer version of doxygen. For a description
1161 # of the possible markers and block names see the documentation.
1162 # This tag requires that the tag GENERATE_HTML is set to YES.
1163
1164 HTML_HEADER =
1165
1166 # The HTML_FOOTER tag can be used to specify a user-defined HTML footer for each
1167 # generated HTML page. If the tag is left blank doxygen will generate a standard
1168 # footer. See HTML_HEADER for more information on how to generate a default
1169 # footer and what special commands can be used inside the footer. See also
1170 # section "Doxygen usage" for information on how to generate the default footer
1171 # that doxygen normally uses.
1172 # This tag requires that the tag GENERATE_HTML is set to YES.
1173
1174 HTML_FOOTER =
1175
1176 # The HTML_STYLESHEET tag can be used to specify a user-defined cascading style
1177 # sheet that is used by each HTML page. It can be used to fine-tune the look of
1178 # the HTML output. If left blank doxygen will generate a default style sheet.
1179 # See also section "Doxygen usage" for information on how to generate the style
1180 # sheet that doxygen normally uses.
1181 # Note: It is recommended to use HTML_EXTRA_STYLESHEET instead of this tag, as
1182 # it is more robust and this tag (HTML_STYLESHEET) will in the future become
1183 # obsolete.
1184 # This tag requires that the tag GENERATE_HTML is set to YES.
1185
1186 HTML_STYLESHEET =
1187
1188 # The HTML_EXTRA_STYLESHEET tag can be used to specify additional user-defined
1189 # cascading style sheets that are included after the standard style sheets
1190 # created by doxygen. Using this option one can overrule certain style aspects.
1191 # This is preferred over using HTML_STYLESHEET since it does not replace the
1192 # standard style sheet and is therefore more robust against future updates.
1193 # Doxygen will copy the style sheet files to the output directory.
1194 # Note: The order of the extra style sheet files is of importance (e.g. the last
1195 # style sheet in the list overrules the setting of the previous ones in the
1196 # list). For an example see the documentation.
1197 # This tag requires that the tag GENERATE_HTML is set to YES.
1198
1199 HTML_EXTRA_STYLESHEET =
1200
1201 # The HTML_EXTRA_FILES tag can be used to specify one or more extra images or
1202 # other source files which should be copied to the HTML output directory. Note
1203 # that these files will be copied to the base HTML output directory. Use the
1204 # $relpath^ marker in the HTML_HEADER and/or HTML_FOOTER files to load these
1205 # files. In the HTML_STYLESHEET file, use the file name only. Also note that the
1206 # files will be copied as-is; there are no commands or markers available.
1207 # This tag requires that the tag GENERATE_HTML is set to YES.
1208
1209 HTML_EXTRA_FILES =
1210
1211 # The HTML_COLORSTYLE_HUE tag controls the color of the HTML output. Doxygen
1212 # will adjust the colors in the style sheet and background images according to
1213 # this color. Hue is specified as an angle on a colorwheel, see
1214 # https://en.wikipedia.org/wiki/Hue for more information. For instance the value
1215 # 0 represents red, 60 is yellow, 120 is green, 180 is cyan, 240 is blue, 300
1216 # purple, and 360 is red again.
1217 # Minimum value: 0, maximum value: 359, default value: 220.
1218 # This tag requires that the tag GENERATE_HTML is set to YES.
1219
1220 HTML_COLORSTYLE_HUE = 220
1221
1222 # The HTML_COLORSTYLE_SAT tag controls the purity (or saturation) of the colors
1223 # in the HTML output. For a value of 0 the output will use grayscales only. A
1224 # value of 255 will produce the most vivid colors.
1225 # Minimum value: 0, maximum value: 255, default value: 100.
1226 # This tag requires that the tag GENERATE_HTML is set to YES.
1227
1228 HTML_COLORSTYLE_SAT = 100
1229
1230 # The HTML_COLORSTYLE_GAMMA tag controls the gamma correction applied to the
1231 # luminance component of the colors in the HTML output. Values below 100
1232 # gradually make the output lighter, whereas values above 100 make the output
1233 # darker. The value divided by 100 is the actual gamma applied, so 80 represents
1234 # a gamma of 0.8, The value 220 represents a gamma of 2.2, and 100 does not
1235 # change the gamma.
1236 # Minimum value: 40, maximum value: 240, default value: 80.
1237 # This tag requires that the tag GENERATE_HTML is set to YES.
1238
1239 HTML_COLORSTYLE_GAMMA = 80
1240
1241 # If the HTML_TIMESTAMP tag is set to YES then the footer of each generated HTML
1242 # page will contain the date and time when the page was generated. Setting this
1243 # to YES can help to show when doxygen was last run and thus if the
1244 # documentation is up to date.
1245 # The default value is: NO.
1246 # This tag requires that the tag GENERATE_HTML is set to YES.
1247
1248 HTML_TIMESTAMP = NO
1249
1250 # If the HTML_DYNAMIC_MENUS tag is set to YES then the generated HTML
1251 # documentation will contain a main index with vertical navigation menus that
1252 # are dynamically created via JavaScript. If disabled, the navigation index will
1253 # consists of multiple levels of tabs that are statically embedded in every HTML
1254 # page. Disable this option to support browsers that do not have JavaScript,
1255 # like the Qt help browser.
1256 # The default value is: YES.
1257 # This tag requires that the tag GENERATE_HTML is set to YES.
1258
1259 HTML_DYNAMIC_MENUS = YES
1260
1261 # If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
1262 # documentation will contain sections that can be hidden and shown after the
1263 # page has loaded.
1264 # The default value is: NO.
1265 # This tag requires that the tag GENERATE_HTML is set to YES.
1266
1267 HTML_DYNAMIC_SECTIONS = NO
1268
1269 # With HTML_INDEX_NUM_ENTRIES one can control the preferred number of entries
1270 # shown in the various tree structured indices initially; the user can expand
1271 # and collapse entries dynamically later on. Doxygen will expand the tree to
1272 # such a level that at most the specified number of entries are visible (unless
1273 # a fully collapsed tree already exceeds this amount). So setting the number of
1274 # entries 1 will produce a full collapsed tree by default. 0 is a special value
1275 # representing an infinite number of entries and will result in a full expanded
1276 # tree by default.
1277 # Minimum value: 0, maximum value: 9999, default value: 100.
1278 # This tag requires that the tag GENERATE_HTML is set to YES.
1279
1280 HTML_INDEX_NUM_ENTRIES = 100
1281
1282 # If the GENERATE_DOCSET tag is set to YES, additional index files will be
1283 # generated that can be used as input for Apple's Xcode 3 integrated development
1284 # environment (see: https://developer.apple.com/xcode/), introduced with OSX
1285 # 10.5 (Leopard). To create a documentation set, doxygen will generate a
1286 # Makefile in the HTML output directory. Running make will produce the docset in
1287 # that directory and running make install will install the docset in
1288 # ~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find it at
1289 # startup. See https://developer.apple.com/library/archive/featuredarticles/Doxy
1290 # genXcode/_index.html for more information.
1291 # The default value is: NO.
1292 # This tag requires that the tag GENERATE_HTML is set to YES.
1293
1294 GENERATE_DOCSET = NO
1295
1296 # This tag determines the name of the docset feed. A documentation feed provides
1297 # an umbrella under which multiple documentation sets from a single provider
1298 # (such as a company or product suite) can be grouped.
1299 # The default value is: Doxygen generated docs.
1300 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1301
1302 DOCSET_FEEDNAME = "Doxygen generated docs"
1303
1304 # This tag specifies a string that should uniquely identify the documentation
1305 # set bundle. This should be a reverse domain-name style string, e.g.
1306 # com.mycompany.MyDocSet. Doxygen will append .docset to the name.
1307 # The default value is: org.doxygen.Project.
1308 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1309
1310 DOCSET_BUNDLE_ID = org.doxygen.Project
1311
1312 # The DOCSET_PUBLISHER_ID tag specifies a string that should uniquely identify
1313 # the documentation publisher. This should be a reverse domain-name style
1314 # string, e.g. com.mycompany.MyDocSet.documentation.
1315 # The default value is: org.doxygen.Publisher.
1316 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1317
1318 DOCSET_PUBLISHER_ID = org.doxygen.Publisher
1319
1320 # The DOCSET_PUBLISHER_NAME tag identifies the documentation publisher.
1321 # The default value is: Publisher.
1322 # This tag requires that the tag GENERATE_DOCSET is set to YES.
1323
1324 DOCSET_PUBLISHER_NAME = Publisher
1325
1326 # If the GENERATE_HTMLHELP tag is set to YES then doxygen generates three
1327 # additional HTML index files: index.hhp, index.hhc, and index.hhk. The
1328 # index.hhp is a project file that can be read by Microsoft's HTML Help Workshop
1329 # (see: https://www.microsoft.com/en-us/download/details.aspx?id=21138) on
1330 # Windows.
1331 #
1332 # The HTML Help Workshop contains a compiler that can convert all HTML output
1333 # generated by doxygen into a single compiled HTML file (.chm). Compiled HTML
1334 # files are now used as the Windows 98 help format, and will replace the old
1335 # Windows help format (.hlp) on all Windows platforms in the future. Compressed
1336 # HTML files also contain an index, a table of contents, and you can search for
1337 # words in the documentation. The HTML workshop also contains a viewer for
1338 # compressed HTML files.
1339 # The default value is: NO.
1340 # This tag requires that the tag GENERATE_HTML is set to YES.
1341
1342 GENERATE_HTMLHELP = NO
1343
1344 # The CHM_FILE tag can be used to specify the file name of the resulting .chm
1345 # file. You can add a path in front of the file if the result should not be
1346 # written to the html output directory.
1347 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1348
1349 CHM_FILE =
1350
1351 # The HHC_LOCATION tag can be used to specify the location (absolute path
1352 # including file name) of the HTML help compiler (hhc.exe). If non-empty,
1353 # doxygen will try to run the HTML help compiler on the generated index.hhp.
1354 # The file has to be specified with full path.
1355 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1356
1357 HHC_LOCATION =
1358
1359 # The GENERATE_CHI flag controls if a separate .chi index file is generated
1360 # (YES) or that it should be included in the master .chm file (NO).
1361 # The default value is: NO.
1362 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1363
1364 GENERATE_CHI = NO
1365
1366 # The CHM_INDEX_ENCODING is used to encode HtmlHelp index (hhk), content (hhc)
1367 # and project file content.
1368 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1369
1370 CHM_INDEX_ENCODING =
1371
1372 # The BINARY_TOC flag controls whether a binary table of contents is generated
1373 # (YES) or a normal table of contents (NO) in the .chm file. Furthermore it
1374 # enables the Previous and Next buttons.
1375 # The default value is: NO.
1376 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1377
1378 BINARY_TOC = NO
1379
1380 # The TOC_EXPAND flag can be set to YES to add extra items for group members to
1381 # the table of contents of the HTML help documentation and to the tree view.
1382 # The default value is: NO.
1383 # This tag requires that the tag GENERATE_HTMLHELP is set to YES.
1384
1385 TOC_EXPAND = NO
1386
1387 # If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and
1388 # QHP_VIRTUAL_FOLDER are set, an additional index file will be generated that
1389 # can be used as input for Qt's qhelpgenerator to generate a Qt Compressed Help
1390 # (.qch) of the generated HTML documentation.
1391 # The default value is: NO.
1392 # This tag requires that the tag GENERATE_HTML is set to YES.
1393
1394 GENERATE_QHP = NO
1395
1396 # If the QHG_LOCATION tag is specified, the QCH_FILE tag can be used to specify
1397 # the file name of the resulting .qch file. The path specified is relative to
1398 # the HTML output folder.
1399 # This tag requires that the tag GENERATE_QHP is set to YES.
1400
1401 QCH_FILE =
1402
1403 # The QHP_NAMESPACE tag specifies the namespace to use when generating Qt Help
1404 # Project output. For more information please see Qt Help Project / Namespace
1405 # (see: https://doc.qt.io/archives/qt-4.8/qthelpproject.html#namespace).
1406 # The default value is: org.doxygen.Project.
1407 # This tag requires that the tag GENERATE_QHP is set to YES.
1408
1409 QHP_NAMESPACE = org.doxygen.Project
1410
1411 # The QHP_VIRTUAL_FOLDER tag specifies the namespace to use when generating Qt
1412 # Help Project output. For more information please see Qt Help Project / Virtual
1413 # Folders (see: https://doc.qt.io/archives/qt-4.8/qthelpproject.html#virtual-
1414 # folders).
1415 # The default value is: doc.
1416 # This tag requires that the tag GENERATE_QHP is set to YES.
1417
1418 QHP_VIRTUAL_FOLDER = doc
1419
1420 # If the QHP_CUST_FILTER_NAME tag is set, it specifies the name of a custom
1421 # filter to add. For more information please see Qt Help Project / Custom
1422 # Filters (see: https://doc.qt.io/archives/qt-4.8/qthelpproject.html#custom-
1423 # filters).
1424 # This tag requires that the tag GENERATE_QHP is set to YES.
1425
1426 QHP_CUST_FILTER_NAME =
1427
1428 # The QHP_CUST_FILTER_ATTRS tag specifies the list of the attributes of the
1429 # custom filter to add. For more information please see Qt Help Project / Custom
1430 # Filters (see: https://doc.qt.io/archives/qt-4.8/qthelpproject.html#custom-
1431 # filters).
1432 # This tag requires that the tag GENERATE_QHP is set to YES.
1433
1434 QHP_CUST_FILTER_ATTRS =
1435
1436 # The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this
1437 # project's filter section matches. Qt Help Project / Filter Attributes (see:
1438 # https://doc.qt.io/archives/qt-4.8/qthelpproject.html#filter-attributes).
1439 # This tag requires that the tag GENERATE_QHP is set to YES.
1440
1441 QHP_SECT_FILTER_ATTRS =
1442
1443 # The QHG_LOCATION tag can be used to specify the location of Qt's
1444 # qhelpgenerator. If non-empty doxygen will try to run qhelpgenerator on the
1445 # generated .qhp file.
1446 # This tag requires that the tag GENERATE_QHP is set to YES.
1447
1448 QHG_LOCATION =
1449
1450 # If the GENERATE_ECLIPSEHELP tag is set to YES, additional index files will be
1451 # generated, together with the HTML files, they form an Eclipse help plugin. To
1452 # install this plugin and make it available under the help contents menu in
1453 # Eclipse, the contents of the directory containing the HTML and XML files needs
1454 # to be copied into the plugins directory of eclipse. The name of the directory
1455 # within the plugins directory should be the same as the ECLIPSE_DOC_ID value.
1456 # After copying Eclipse needs to be restarted before the help appears.
1457 # The default value is: NO.
1458 # This tag requires that the tag GENERATE_HTML is set to YES.
1459
1460 GENERATE_ECLIPSEHELP = NO
1461
1462 # A unique identifier for the Eclipse help plugin. When installing the plugin
1463 # the directory name containing the HTML and XML files should also have this
1464 # name. Each documentation set should have its own identifier.
1465 # The default value is: org.doxygen.Project.
1466 # This tag requires that the tag GENERATE_ECLIPSEHELP is set to YES.
1467
1468 ECLIPSE_DOC_ID = org.doxygen.Project
1469
1470 # If you want full control over the layout of the generated HTML pages it might
1471 # be necessary to disable the index and replace it with your own. The
1472 # DISABLE_INDEX tag can be used to turn on/off the condensed index (tabs) at top
1473 # of each HTML page. A value of NO enables the index and the value YES disables
1474 # it. Since the tabs in the index contain the same information as the navigation
1475 # tree, you can set this option to YES if you also set GENERATE_TREEVIEW to YES.
1476 # The default value is: NO.
1477 # This tag requires that the tag GENERATE_HTML is set to YES.
1478
1479 DISABLE_INDEX = NO
1480
1481 # The GENERATE_TREEVIEW tag is used to specify whether a tree-like index
1482 # structure should be generated to display hierarchical information. If the tag
1483 # value is set to YES, a side panel will be generated containing a tree-like
1484 # index structure (just like the one that is generated for HTML Help). For this
1485 # to work a browser that supports JavaScript, DHTML, CSS and frames is required
1486 # (i.e. any modern browser). Windows users are probably better off using the
1487 # HTML help feature. Via custom style sheets (see HTML_EXTRA_STYLESHEET) one can
1488 # further fine-tune the look of the index. As an example, the default style
1489 # sheet generated by doxygen has an example that shows how to put an image at
1490 # the root of the tree instead of the PROJECT_NAME. Since the tree basically has
1491 # the same information as the tab index, you could consider setting
1492 # DISABLE_INDEX to YES when enabling this option.
1493 # The default value is: NO.
1494 # This tag requires that the tag GENERATE_HTML is set to YES.
1495
1496 GENERATE_TREEVIEW = NO
1497
1498 # The ENUM_VALUES_PER_LINE tag can be used to set the number of enum values that
1499 # doxygen will group on one line in the generated HTML documentation.
1500 #
1501 # Note that a value of 0 will completely suppress the enum values from appearing
1502 # in the overview section.
1503 # Minimum value: 0, maximum value: 20, default value: 4.
1504 # This tag requires that the tag GENERATE_HTML is set to YES.
1505
1506 ENUM_VALUES_PER_LINE = 4
1507
1508 # If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be used
1509 # to set the initial width (in pixels) of the frame in which the tree is shown.
1510 # Minimum value: 0, maximum value: 1500, default value: 250.
1511 # This tag requires that the tag GENERATE_HTML is set to YES.
1512
1513 TREEVIEW_WIDTH = 250
1514
1515 # If the EXT_LINKS_IN_WINDOW option is set to YES, doxygen will open links to
1516 # external symbols imported via tag files in a separate window.
1517 # The default value is: NO.
1518 # This tag requires that the tag GENERATE_HTML is set to YES.
1519
1520 EXT_LINKS_IN_WINDOW = NO
1521
1522 # If the HTML_FORMULA_FORMAT option is set to svg, doxygen will use the pdf2svg
1523 # tool (see https://github.com/dawbarton/pdf2svg) or inkscape (see
1524 # https://inkscape.org) to generate formulas as SVG images instead of PNGs for
1525 # the HTML output. These images will generally look nicer at scaled resolutions.
1526 # Possible values are: png The default and svg Looks nicer but requires the
1527 # pdf2svg tool.
1528 # The default value is: png.
1529 # This tag requires that the tag GENERATE_HTML is set to YES.
1530
1531 HTML_FORMULA_FORMAT = png
1532
1533 # Use this tag to change the font size of LaTeX formulas included as images in
1534 # the HTML documentation. When you change the font size after a successful
1535 # doxygen run you need to manually remove any form_*.png images from the HTML
1536 # output directory to force them to be regenerated.
1537 # Minimum value: 8, maximum value: 50, default value: 10.
1538 # This tag requires that the tag GENERATE_HTML is set to YES.
1539
1540 FORMULA_FONTSIZE = 10
1541
1542 # Use the FORMULA_TRANSPARENT tag to determine whether or not the images
1543 # generated for formulas are transparent PNGs. Transparent PNGs are not
1544 # supported properly for IE 6.0, but are supported on all modern browsers.
1545 #
1546 # Note that when changing this option you need to delete any form_*.png files in
1547 # the HTML output directory before the changes have effect.
1548 # The default value is: YES.
1549 # This tag requires that the tag GENERATE_HTML is set to YES.
1550
1551 FORMULA_TRANSPARENT = YES
1552
1553 # The FORMULA_MACROFILE can contain LaTeX \newcommand and \renewcommand commands
1554 # to create new LaTeX commands to be used in formulas as building blocks. See
1555 # the section "Including formulas" for details.
1556
1557 FORMULA_MACROFILE =
1558
1559 # Enable the USE_MATHJAX option to render LaTeX formulas using MathJax (see
1560 # https://www.mathjax.org) which uses client side JavaScript for the rendering
1561 # instead of using pre-rendered bitmaps. Use this if you do not have LaTeX
1562 # installed or if you want to formulas look prettier in the HTML output. When
1563 # enabled you may also need to install MathJax separately and configure the path
1564 # to it using the MATHJAX_RELPATH option.
1565 # The default value is: NO.
1566 # This tag requires that the tag GENERATE_HTML is set to YES.
1567
1568 USE_MATHJAX = NO
1569
1570 # When MathJax is enabled you can set the default output format to be used for
1571 # the MathJax output. See the MathJax site (see:
1572 # http://docs.mathjax.org/en/latest/output.html) for more details.
1573 # Possible values are: HTML-CSS (which is slower, but has the best
1574 # compatibility), NativeMML (i.e. MathML) and SVG.
1575 # The default value is: HTML-CSS.
1576 # This tag requires that the tag USE_MATHJAX is set to YES.
1577
1578 MATHJAX_FORMAT = HTML-CSS
1579
1580 # When MathJax is enabled you need to specify the location relative to the HTML
1581 # output directory using the MATHJAX_RELPATH option. The destination directory
1582 # should contain the MathJax.js script. For instance, if the mathjax directory
1583 # is located at the same level as the HTML output directory, then
1584 # MATHJAX_RELPATH should be ../mathjax. The default value points to the MathJax
1585 # Content Delivery Network so you can quickly see the result without installing
1586 # MathJax. However, it is strongly recommended to install a local copy of
1587 # MathJax from https://www.mathjax.org before deployment.
1588 # The default value is: https://cdn.jsdelivr.net/npm/mathjax@2.
1589 # This tag requires that the tag USE_MATHJAX is set to YES.
1590
1591 MATHJAX_RELPATH = http://www.mathjax.org/mathjax
1592
1593 # The MATHJAX_EXTENSIONS tag can be used to specify one or more MathJax
1594 # extension names that should be enabled during MathJax rendering. For example
1595 # MATHJAX_EXTENSIONS = TeX/AMSmath TeX/AMSsymbols
1596 # This tag requires that the tag USE_MATHJAX is set to YES.
1597
1598 MATHJAX_EXTENSIONS =
1599
1600 # The MATHJAX_CODEFILE tag can be used to specify a file with javascript pieces
1601 # of code that will be used on startup of the MathJax code. See the MathJax site
1602 # (see: http://docs.mathjax.org/en/latest/output.html) for more details. For an
1603 # example see the documentation.
1604 # This tag requires that the tag USE_MATHJAX is set to YES.
1605
1606 MATHJAX_CODEFILE =
1607
1608 # When the SEARCHENGINE tag is enabled doxygen will generate a search box for
1609 # the HTML output. The underlying search engine uses javascript and DHTML and
1610 # should work on any modern browser. Note that when using HTML help
1611 # (GENERATE_HTMLHELP), Qt help (GENERATE_QHP), or docsets (GENERATE_DOCSET)
1612 # there is already a search function so this one should typically be disabled.
1613 # For large projects the javascript based search engine can be slow, then
1614 # enabling SERVER_BASED_SEARCH may provide a better solution. It is possible to
1615 # search using the keyboard; to jump to the search box use <access key> + S
1616 # (what the <access key> is depends on the OS and browser, but it is typically
1617 # <CTRL>, <ALT>/<option>, or both). Inside the search box use the <cursor down
1618 # key> to jump into the search results window, the results can be navigated
1619 # using the <cursor keys>. Press <Enter> to select an item or <escape> to cancel
1620 # the search. The filter options can be selected when the cursor is inside the
1621 # search box by pressing <Shift>+<cursor down>. Also here use the <cursor keys>
1622 # to select a filter and <Enter> or <escape> to activate or cancel the filter
1623 # option.
1624 # The default value is: YES.
1625 # This tag requires that the tag GENERATE_HTML is set to YES.
1626
1627 SEARCHENGINE = YES
1628
1629 # When the SERVER_BASED_SEARCH tag is enabled the search engine will be
1630 # implemented using a web server instead of a web client using JavaScript. There
1631 # are two flavors of web server based searching depending on the EXTERNAL_SEARCH
1632 # setting. When disabled, doxygen will generate a PHP script for searching and
1633 # an index file used by the script. When EXTERNAL_SEARCH is enabled the indexing
1634 # and searching needs to be provided by external tools. See the section
1635 # "External Indexing and Searching" for details.
1636 # The default value is: NO.
1637 # This tag requires that the tag SEARCHENGINE is set to YES.
1638
1639 SERVER_BASED_SEARCH = NO
1640
1641 # When EXTERNAL_SEARCH tag is enabled doxygen will no longer generate the PHP
1642 # script for searching. Instead the search results are written to an XML file
1643 # which needs to be processed by an external indexer. Doxygen will invoke an
1644 # external search engine pointed to by the SEARCHENGINE_URL option to obtain the
1645 # search results.
1646 #
1647 # Doxygen ships with an example indexer (doxyindexer) and search engine
1648 # (doxysearch.cgi) which are based on the open source search engine library
1649 # Xapian (see: https://xapian.org/).
1650 #
1651 # See the section "External Indexing and Searching" for details.
1652 # The default value is: NO.
1653 # This tag requires that the tag SEARCHENGINE is set to YES.
1654
1655 EXTERNAL_SEARCH = NO
1656
1657 # The SEARCHENGINE_URL should point to a search engine hosted by a web server
1658 # which will return the search results when EXTERNAL_SEARCH is enabled.
1659 #
1660 # Doxygen ships with an example indexer (doxyindexer) and search engine
1661 # (doxysearch.cgi) which are based on the open source search engine library
1662 # Xapian (see: https://xapian.org/). See the section "External Indexing and
1663 # Searching" for details.
1664 # This tag requires that the tag SEARCHENGINE is set to YES.
1665
1666 SEARCHENGINE_URL =
1667
1668 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the unindexed
1669 # search data is written to a file for indexing by an external tool. With the
1670 # SEARCHDATA_FILE tag the name of this file can be specified.
1671 # The default file is: searchdata.xml.
1672 # This tag requires that the tag SEARCHENGINE is set to YES.
1673
1674 SEARCHDATA_FILE = searchdata.xml
1675
1676 # When SERVER_BASED_SEARCH and EXTERNAL_SEARCH are both enabled the
1677 # EXTERNAL_SEARCH_ID tag can be used as an identifier for the project. This is
1678 # useful in combination with EXTRA_SEARCH_MAPPINGS to search through multiple
1679 # projects and redirect the results back to the right project.
1680 # This tag requires that the tag SEARCHENGINE is set to YES.
1681
1682 EXTERNAL_SEARCH_ID =
1683
1684 # The EXTRA_SEARCH_MAPPINGS tag can be used to enable searching through doxygen
1685 # projects other than the one defined by this configuration file, but that are
1686 # all added to the same external search index. Each project needs to have a
1687 # unique id set via EXTERNAL_SEARCH_ID. The search mapping then maps the id of
1688 # to a relative location where the documentation can be found. The format is:
1689 # EXTRA_SEARCH_MAPPINGS = tagname1=loc1 tagname2=loc2 ...
1690 # This tag requires that the tag SEARCHENGINE is set to YES.
1691
1692 EXTRA_SEARCH_MAPPINGS =
1693
1694 #---------------------------------------------------------------------------
1695 # Configuration options related to the LaTeX output
1696 #---------------------------------------------------------------------------
1697
1698 # If the GENERATE_LATEX tag is set to YES, doxygen will generate LaTeX output.
1699 # The default value is: YES.
1700
1701 GENERATE_LATEX = NO
1702
1703 # The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put. If a
1704 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1705 # it.
1706 # The default directory is: latex.
1707 # This tag requires that the tag GENERATE_LATEX is set to YES.
1708
1709 LATEX_OUTPUT = latex
1710
1711 # The LATEX_CMD_NAME tag can be used to specify the LaTeX command name to be
1712 # invoked.
1713 #
1714 # Note that when not enabling USE_PDFLATEX the default is latex when enabling
1715 # USE_PDFLATEX the default is pdflatex and when in the later case latex is
1716 # chosen this is overwritten by pdflatex. For specific output languages the
1717 # default can have been set differently, this depends on the implementation of
1718 # the output language.
1719 # This tag requires that the tag GENERATE_LATEX is set to YES.
1720
1721 LATEX_CMD_NAME = latex
1722
1723 # The MAKEINDEX_CMD_NAME tag can be used to specify the command name to generate
1724 # index for LaTeX.
1725 # Note: This tag is used in the Makefile / make.bat.
1726 # See also: LATEX_MAKEINDEX_CMD for the part in the generated output file
1727 # (.tex).
1728 # The default file is: makeindex.
1729 # This tag requires that the tag GENERATE_LATEX is set to YES.
1730
1731 MAKEINDEX_CMD_NAME = makeindex
1732
1733 # The LATEX_MAKEINDEX_CMD tag can be used to specify the command name to
1734 # generate index for LaTeX. In case there is no backslash (\‍) as first character
1735 # it will be automatically added in the LaTeX code.
1736 # Note: This tag is used in the generated output file (.tex).
1737 # See also: MAKEINDEX_CMD_NAME for the part in the Makefile / make.bat.
1738 # The default value is: makeindex.
1739 # This tag requires that the tag GENERATE_LATEX is set to YES.
1740
1741 LATEX_MAKEINDEX_CMD = makeindex
1742
1743 # If the COMPACT_LATEX tag is set to YES, doxygen generates more compact LaTeX
1744 # documents. This may be useful for small projects and may help to save some
1745 # trees in general.
1746 # The default value is: NO.
1747 # This tag requires that the tag GENERATE_LATEX is set to YES.
1748
1749 COMPACT_LATEX = NO
1750
1751 # The PAPER_TYPE tag can be used to set the paper type that is used by the
1752 # printer.
1753 # Possible values are: a4 (210 x 297 mm), letter (8.5 x 11 inches), legal (8.5 x
1754 # 14 inches) and executive (7.25 x 10.5 inches).
1755 # The default value is: a4.
1756 # This tag requires that the tag GENERATE_LATEX is set to YES.
1757
1758 PAPER_TYPE = a4
1759
1760 # The EXTRA_PACKAGES tag can be used to specify one or more LaTeX package names
1761 # that should be included in the LaTeX output. The package can be specified just
1762 # by its name or with the correct syntax as to be used with the LaTeX
1763 # \usepackage command. To get the times font for instance you can specify :
1764 # EXTRA_PACKAGES=times or EXTRA_PACKAGES={times}
1765 # To use the option intlimits with the amsmath package you can specify:
1766 # EXTRA_PACKAGES=[intlimits]{amsmath}
1767 # If left blank no extra packages will be included.
1768 # This tag requires that the tag GENERATE_LATEX is set to YES.
1769
1770 EXTRA_PACKAGES =
1771
1772 # The LATEX_HEADER tag can be used to specify a personal LaTeX header for the
1773 # generated LaTeX document. The header should contain everything until the first
1774 # chapter. If it is left blank doxygen will generate a standard header. See
1775 # section "Doxygen usage" for information on how to let doxygen write the
1776 # default header to a separate file.
1777 #
1778 # Note: Only use a user-defined header if you know what you are doing! The
1779 # following commands have a special meaning inside the header: $title,
1780 # $datetime, $date, $doxygenversion, $projectname, $projectnumber,
1781 # $projectbrief, $projectlogo. Doxygen will replace $title with the empty
1782 # string, for the replacement values of the other commands the user is referred
1783 # to HTML_HEADER.
1784 # This tag requires that the tag GENERATE_LATEX is set to YES.
1785
1786 LATEX_HEADER =
1787
1788 # The LATEX_FOOTER tag can be used to specify a personal LaTeX footer for the
1789 # generated LaTeX document. The footer should contain everything after the last
1790 # chapter. If it is left blank doxygen will generate a standard footer. See
1791 # LATEX_HEADER for more information on how to generate a default footer and what
1792 # special commands can be used inside the footer.
1793 #
1794 # Note: Only use a user-defined footer if you know what you are doing!
1795 # This tag requires that the tag GENERATE_LATEX is set to YES.
1796
1797 LATEX_FOOTER =
1798
1799 # The LATEX_EXTRA_STYLESHEET tag can be used to specify additional user-defined
1800 # LaTeX style sheets that are included after the standard style sheets created
1801 # by doxygen. Using this option one can overrule certain style aspects. Doxygen
1802 # will copy the style sheet files to the output directory.
1803 # Note: The order of the extra style sheet files is of importance (e.g. the last
1804 # style sheet in the list overrules the setting of the previous ones in the
1805 # list).
1806 # This tag requires that the tag GENERATE_LATEX is set to YES.
1807
1808 LATEX_EXTRA_STYLESHEET =
1809
1810 # The LATEX_EXTRA_FILES tag can be used to specify one or more extra images or
1811 # other source files which should be copied to the LATEX_OUTPUT output
1812 # directory. Note that the files will be copied as-is; there are no commands or
1813 # markers available.
1814 # This tag requires that the tag GENERATE_LATEX is set to YES.
1815
1816 LATEX_EXTRA_FILES =
1817
1818 # If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated is
1819 # prepared for conversion to PDF (using ps2pdf or pdflatex). The PDF file will
1820 # contain links (just like the HTML output) instead of page references. This
1821 # makes the output suitable for online browsing using a PDF viewer.
1822 # The default value is: YES.
1823 # This tag requires that the tag GENERATE_LATEX is set to YES.
1824
1825 PDF_HYPERLINKS = NO
1826
1827 # If the USE_PDFLATEX tag is set to YES, doxygen will use pdflatex to generate
1828 # the PDF file directly from the LaTeX files. Set this option to YES, to get a
1829 # higher quality PDF documentation.
1830 # The default value is: YES.
1831 # This tag requires that the tag GENERATE_LATEX is set to YES.
1832
1833 USE_PDFLATEX = YES
1834
1835 # If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \batchmode
1836 # command to the generated LaTeX files. This will instruct LaTeX to keep running
1837 # if errors occur, instead of asking the user for help. This option is also used
1838 # when generating formulas in HTML.
1839 # The default value is: NO.
1840 # This tag requires that the tag GENERATE_LATEX is set to YES.
1841
1842 LATEX_BATCHMODE = NO
1843
1844 # If the LATEX_HIDE_INDICES tag is set to YES then doxygen will not include the
1845 # index chapters (such as File Index, Compound Index, etc.) in the output.
1846 # The default value is: NO.
1847 # This tag requires that the tag GENERATE_LATEX is set to YES.
1848
1849 LATEX_HIDE_INDICES = NO
1850
1851 # If the LATEX_SOURCE_CODE tag is set to YES then doxygen will include source
1852 # code with syntax highlighting in the LaTeX output.
1853 #
1854 # Note that which sources are shown also depends on other settings such as
1855 # SOURCE_BROWSER.
1856 # The default value is: NO.
1857 # This tag requires that the tag GENERATE_LATEX is set to YES.
1858
1859 LATEX_SOURCE_CODE = NO
1860
1861 # The LATEX_BIB_STYLE tag can be used to specify the style to use for the
1862 # bibliography, e.g. plainnat, or ieeetr. See
1863 # https://en.wikipedia.org/wiki/BibTeX and \cite for more info.
1864 # The default value is: plain.
1865 # This tag requires that the tag GENERATE_LATEX is set to YES.
1866
1867 LATEX_BIB_STYLE = plain
1868
1869 # If the LATEX_TIMESTAMP tag is set to YES then the footer of each generated
1870 # page will contain the date and time when the page was generated. Setting this
1871 # to NO can help when comparing the output of multiple runs.
1872 # The default value is: NO.
1873 # This tag requires that the tag GENERATE_LATEX is set to YES.
1874
1875 LATEX_TIMESTAMP = NO
1876
1877 # The LATEX_EMOJI_DIRECTORY tag is used to specify the (relative or absolute)
1878 # path from which the emoji images will be read. If a relative path is entered,
1879 # it will be relative to the LATEX_OUTPUT directory. If left blank the
1880 # LATEX_OUTPUT directory will be used.
1881 # This tag requires that the tag GENERATE_LATEX is set to YES.
1882
1883 LATEX_EMOJI_DIRECTORY =
1884
1885 #---------------------------------------------------------------------------
1886 # Configuration options related to the RTF output
1887 #---------------------------------------------------------------------------
1888
1889 # If the GENERATE_RTF tag is set to YES, doxygen will generate RTF output. The
1890 # RTF output is optimized for Word 97 and may not look too pretty with other RTF
1891 # readers/editors.
1892 # The default value is: NO.
1893
1894 GENERATE_RTF = NO
1895
1896 # The RTF_OUTPUT tag is used to specify where the RTF docs will be put. If a
1897 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1898 # it.
1899 # The default directory is: rtf.
1900 # This tag requires that the tag GENERATE_RTF is set to YES.
1901
1902 RTF_OUTPUT = glm.rtf
1903
1904 # If the COMPACT_RTF tag is set to YES, doxygen generates more compact RTF
1905 # documents. This may be useful for small projects and may help to save some
1906 # trees in general.
1907 # The default value is: NO.
1908 # This tag requires that the tag GENERATE_RTF is set to YES.
1909
1910 COMPACT_RTF = NO
1911
1912 # If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated will
1913 # contain hyperlink fields. The RTF file will contain links (just like the HTML
1914 # output) instead of page references. This makes the output suitable for online
1915 # browsing using Word or some other Word compatible readers that support those
1916 # fields.
1917 #
1918 # Note: WordPad (write) and others do not support links.
1919 # The default value is: NO.
1920 # This tag requires that the tag GENERATE_RTF is set to YES.
1921
1922 RTF_HYPERLINKS = YES
1923
1924 # Load stylesheet definitions from file. Syntax is similar to doxygen's
1925 # configuration file, i.e. a series of assignments. You only have to provide
1926 # replacements, missing definitions are set to their default value.
1927 #
1928 # See also section "Doxygen usage" for information on how to generate the
1929 # default style sheet that doxygen normally uses.
1930 # This tag requires that the tag GENERATE_RTF is set to YES.
1931
1932 RTF_STYLESHEET_FILE =
1933
1934 # Set optional variables used in the generation of an RTF document. Syntax is
1935 # similar to doxygen's configuration file. A template extensions file can be
1936 # generated using doxygen -e rtf extensionFile.
1937 # This tag requires that the tag GENERATE_RTF is set to YES.
1938
1939 RTF_EXTENSIONS_FILE =
1940
1941 # If the RTF_SOURCE_CODE tag is set to YES then doxygen will include source code
1942 # with syntax highlighting in the RTF output.
1943 #
1944 # Note that which sources are shown also depends on other settings such as
1945 # SOURCE_BROWSER.
1946 # The default value is: NO.
1947 # This tag requires that the tag GENERATE_RTF is set to YES.
1948
1949 RTF_SOURCE_CODE = NO
1950
1951 #---------------------------------------------------------------------------
1952 # Configuration options related to the man page output
1953 #---------------------------------------------------------------------------
1954
1955 # If the GENERATE_MAN tag is set to YES, doxygen will generate man pages for
1956 # classes and files.
1957 # The default value is: NO.
1958
1959 GENERATE_MAN = NO
1960
1961 # The MAN_OUTPUT tag is used to specify where the man pages will be put. If a
1962 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
1963 # it. A directory man3 will be created inside the directory specified by
1964 # MAN_OUTPUT.
1965 # The default directory is: man.
1966 # This tag requires that the tag GENERATE_MAN is set to YES.
1967
1968 MAN_OUTPUT = man
1969
1970 # The MAN_EXTENSION tag determines the extension that is added to the generated
1971 # man pages. In case the manual section does not start with a number, the number
1972 # 3 is prepended. The dot (.) at the beginning of the MAN_EXTENSION tag is
1973 # optional.
1974 # The default value is: .3.
1975 # This tag requires that the tag GENERATE_MAN is set to YES.
1976
1977 MAN_EXTENSION = .3
1978
1979 # The MAN_SUBDIR tag determines the name of the directory created within
1980 # MAN_OUTPUT in which the man pages are placed. If defaults to man followed by
1981 # MAN_EXTENSION with the initial . removed.
1982 # This tag requires that the tag GENERATE_MAN is set to YES.
1983
1984 MAN_SUBDIR =
1985
1986 # If the MAN_LINKS tag is set to YES and doxygen generates man output, then it
1987 # will generate one additional man file for each entity documented in the real
1988 # man page(s). These additional files only source the real man page, but without
1989 # them the man command would be unable to find the correct page.
1990 # The default value is: NO.
1991 # This tag requires that the tag GENERATE_MAN is set to YES.
1992
1993 MAN_LINKS = NO
1994
1995 #---------------------------------------------------------------------------
1996 # Configuration options related to the XML output
1997 #---------------------------------------------------------------------------
1998
1999 # If the GENERATE_XML tag is set to YES, doxygen will generate an XML file that
2000 # captures the structure of the code including all documentation.
2001 # The default value is: NO.
2002
2003 GENERATE_XML = NO
2004
2005 # The XML_OUTPUT tag is used to specify where the XML pages will be put. If a
2006 # relative path is entered the value of OUTPUT_DIRECTORY will be put in front of
2007 # it.
2008 # The default directory is: xml.
2009 # This tag requires that the tag GENERATE_XML is set to YES.
2010
2011 XML_OUTPUT = xml
2012
2013 # If the XML_PROGRAMLISTING tag is set to YES, doxygen will dump the program
2014 # listings (including syntax highlighting and cross-referencing information) to
2015 # the XML output. Note that enabling this will significantly increase the size
2016 # of the XML output.
2017 # The default value is: YES.
2018 # This tag requires that the tag GENERATE_XML is set to YES.
2019
2020 XML_PROGRAMLISTING = YES
2021
2022 # If the XML_NS_MEMB_FILE_SCOPE tag is set to YES, doxygen will include
2023 # namespace members in file scope as well, matching the HTML output.
2024 # The default value is: NO.
2025 # This tag requires that the tag GENERATE_XML is set to YES.
2026
2027 XML_NS_MEMB_FILE_SCOPE = NO
2028
2029 #---------------------------------------------------------------------------
2030 # Configuration options related to the DOCBOOK output
2031 #---------------------------------------------------------------------------
2032
2033 # If the GENERATE_DOCBOOK tag is set to YES, doxygen will generate Docbook files
2034 # that can be used to generate PDF.
2035 # The default value is: NO.
2036
2037 GENERATE_DOCBOOK = NO
2038
2039 # The DOCBOOK_OUTPUT tag is used to specify where the Docbook pages will be put.
2040 # If a relative path is entered the value of OUTPUT_DIRECTORY will be put in
2041 # front of it.
2042 # The default directory is: docbook.
2043 # This tag requires that the tag GENERATE_DOCBOOK is set to YES.
2044
2045 DOCBOOK_OUTPUT = docbook
2046
2047 # If the DOCBOOK_PROGRAMLISTING tag is set to YES, doxygen will include the
2048 # program listings (including syntax highlighting and cross-referencing
2049 # information) to the DOCBOOK output. Note that enabling this will significantly
2050 # increase the size of the DOCBOOK output.
2051 # The default value is: NO.
2052 # This tag requires that the tag GENERATE_DOCBOOK is set to YES.
2053
2054 DOCBOOK_PROGRAMLISTING = NO
2055
2056 #---------------------------------------------------------------------------
2057 # Configuration options for the AutoGen Definitions output
2058 #---------------------------------------------------------------------------
2059
2060 # If the GENERATE_AUTOGEN_DEF tag is set to YES, doxygen will generate an
2061 # AutoGen Definitions (see http://autogen.sourceforge.net/) file that captures
2062 # the structure of the code including all documentation. Note that this feature
2063 # is still experimental and incomplete at the moment.
2064 # The default value is: NO.
2065
2066 GENERATE_AUTOGEN_DEF = NO
2067
2068 #---------------------------------------------------------------------------
2069 # Configuration options related to the Perl module output
2070 #---------------------------------------------------------------------------
2071
2072 # If the GENERATE_PERLMOD tag is set to YES, doxygen will generate a Perl module
2073 # file that captures the structure of the code including all documentation.
2074 #
2075 # Note that this feature is still experimental and incomplete at the moment.
2076 # The default value is: NO.
2077
2078 GENERATE_PERLMOD = NO
2079
2080 # If the PERLMOD_LATEX tag is set to YES, doxygen will generate the necessary
2081 # Makefile rules, Perl scripts and LaTeX code to be able to generate PDF and DVI
2082 # output from the Perl module output.
2083 # The default value is: NO.
2084 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
2085
2086 PERLMOD_LATEX = NO
2087
2088 # If the PERLMOD_PRETTY tag is set to YES, the Perl module output will be nicely
2089 # formatted so it can be parsed by a human reader. This is useful if you want to
2090 # understand what is going on. On the other hand, if this tag is set to NO, the
2091 # size of the Perl module output will be much smaller and Perl will parse it
2092 # just the same.
2093 # The default value is: YES.
2094 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
2095
2096 PERLMOD_PRETTY = YES
2097
2098 # The names of the make variables in the generated doxyrules.make file are
2099 # prefixed with the string contained in PERLMOD_MAKEVAR_PREFIX. This is useful
2100 # so different doxyrules.make files included by the same Makefile don't
2101 # overwrite each other's variables.
2102 # This tag requires that the tag GENERATE_PERLMOD is set to YES.
2103
2104 PERLMOD_MAKEVAR_PREFIX =
2105
2106 #---------------------------------------------------------------------------
2107 # Configuration options related to the preprocessor
2108 #---------------------------------------------------------------------------
2109
2110 # If the ENABLE_PREPROCESSING tag is set to YES, doxygen will evaluate all
2111 # C-preprocessor directives found in the sources and include files.
2112 # The default value is: YES.
2113
2114 ENABLE_PREPROCESSING = YES
2115
2116 # If the MACRO_EXPANSION tag is set to YES, doxygen will expand all macro names
2117 # in the source code. If set to NO, only conditional compilation will be
2118 # performed. Macro expansion can be done in a controlled way by setting
2119 # EXPAND_ONLY_PREDEF to YES.
2120 # The default value is: NO.
2121 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2122
2123 MACRO_EXPANSION = NO
2124
2125 # If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES then
2126 # the macro expansion is limited to the macros specified with the PREDEFINED and
2127 # EXPAND_AS_DEFINED tags.
2128 # The default value is: NO.
2129 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2130
2131 EXPAND_ONLY_PREDEF = NO
2132
2133 # If the SEARCH_INCLUDES tag is set to YES, the include files in the
2134 # INCLUDE_PATH will be searched if a #include is found.
2135 # The default value is: YES.
2136 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2137
2138 SEARCH_INCLUDES = YES
2139
2140 # The INCLUDE_PATH tag can be used to specify one or more directories that
2141 # contain include files that are not input files but should be processed by the
2142 # preprocessor.
2143 # This tag requires that the tag SEARCH_INCLUDES is set to YES.
2144
2145 INCLUDE_PATH =
2146
2147 # You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard
2148 # patterns (like *.h and *.hpp) to filter out the header-files in the
2149 # directories. If left blank, the patterns specified with FILE_PATTERNS will be
2150 # used.
2151 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2152
2153 INCLUDE_FILE_PATTERNS =
2154
2155 # The PREDEFINED tag can be used to specify one or more macro names that are
2156 # defined before the preprocessor is started (similar to the -D option of e.g.
2157 # gcc). The argument of the tag is a list of macros of the form: name or
2158 # name=definition (no spaces). If the definition and the "=" are omitted, "=1"
2159 # is assumed. To prevent a macro definition from being undefined via #undef or
2160 # recursively expanded use the := operator instead of the = operator.
2161 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2162
2163 PREDEFINED =
2164
2165 # If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then this
2166 # tag can be used to specify a list of macro names that should be expanded. The
2167 # macro definition that is found in the sources will be used. Use the PREDEFINED
2168 # tag if you want to use a different macro definition that overrules the
2169 # definition found in the source code.
2170 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2171
2172 EXPAND_AS_DEFINED =
2173
2174 # If the SKIP_FUNCTION_MACROS tag is set to YES then doxygen's preprocessor will
2175 # remove all references to function-like macros that are alone on a line, have
2176 # an all uppercase name, and do not end with a semicolon. Such function macros
2177 # are typically used for boiler-plate code, and will confuse the parser if not
2178 # removed.
2179 # The default value is: YES.
2180 # This tag requires that the tag ENABLE_PREPROCESSING is set to YES.
2181
2182 SKIP_FUNCTION_MACROS = YES
2183
2184 #---------------------------------------------------------------------------
2185 # Configuration options related to external references
2186 #---------------------------------------------------------------------------
2187
2188 # The TAGFILES tag can be used to specify one or more tag files. For each tag
2189 # file the location of the external documentation should be added. The format of
2190 # a tag file without this location is as follows:
2191 # TAGFILES = file1 file2 ...
2192 # Adding location for the tag files is done as follows:
2193 # TAGFILES = file1=loc1 "file2 = loc2" ...
2194 # where loc1 and loc2 can be relative or absolute paths or URLs. See the
2195 # section "Linking to external documentation" for more information about the use
2196 # of tag files.
2197 # Note: Each tag file must have a unique name (where the name does NOT include
2198 # the path). If a tag file is not located in the directory in which doxygen is
2199 # run, you must also specify the path to the tagfile here.
2200
2201 TAGFILES =
2202
2203 # When a file name is specified after GENERATE_TAGFILE, doxygen will create a
2204 # tag file that is based on the input files it reads. See section "Linking to
2205 # external documentation" for more information about the usage of tag files.
2206
2207 GENERATE_TAGFILE =
2208
2209 # If the ALLEXTERNALS tag is set to YES, all external class will be listed in
2210 # the class index. If set to NO, only the inherited external classes will be
2211 # listed.
2212 # The default value is: NO.
2213
2214 ALLEXTERNALS = NO
2215
2216 # If the EXTERNAL_GROUPS tag is set to YES, all external groups will be listed
2217 # in the modules index. If set to NO, only the current project's groups will be
2218 # listed.
2219 # The default value is: YES.
2220
2221 EXTERNAL_GROUPS = YES
2222
2223 # If the EXTERNAL_PAGES tag is set to YES, all external pages will be listed in
2224 # the related pages index. If set to NO, only the current project's pages will
2225 # be listed.
2226 # The default value is: YES.
2227
2228 EXTERNAL_PAGES = YES
2229
2230 #---------------------------------------------------------------------------
2231 # Configuration options related to the dot tool
2232 #---------------------------------------------------------------------------
2233
2234 # If the CLASS_DIAGRAMS tag is set to YES, doxygen will generate a class diagram
2235 # (in HTML and LaTeX) for classes with base or super classes. Setting the tag to
2236 # NO turns the diagrams off. Note that this option also works with HAVE_DOT
2237 # disabled, but it is recommended to install and use dot, since it yields more
2238 # powerful graphs.
2239 # The default value is: YES.
2240
2241 CLASS_DIAGRAMS = YES
2242
2243 # You can include diagrams made with dia in doxygen documentation. Doxygen will
2244 # then run dia to produce the diagram and insert it in the documentation. The
2245 # DIA_PATH tag allows you to specify the directory where the dia binary resides.
2246 # If left empty dia is assumed to be found in the default search path.
2247
2248 DIA_PATH =
2249
2250 # If set to YES the inheritance and collaboration graphs will hide inheritance
2251 # and usage relations if the target is undocumented or is not a class.
2252 # The default value is: YES.
2253
2254 HIDE_UNDOC_RELATIONS = YES
2255
2256 # If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is
2257 # available from the path. This tool is part of Graphviz (see:
2258 # http://www.graphviz.org/), a graph visualization toolkit from AT&T and Lucent
2259 # Bell Labs. The other options in this section have no effect if this option is
2260 # set to NO
2261 # The default value is: NO.
2262
2263 HAVE_DOT = NO
2264
2265 # The DOT_NUM_THREADS specifies the number of dot invocations doxygen is allowed
2266 # to run in parallel. When set to 0 doxygen will base this on the number of
2267 # processors available in the system. You can set it explicitly to a value
2268 # larger than 0 to get control over the balance between CPU load and processing
2269 # speed.
2270 # Minimum value: 0, maximum value: 32, default value: 0.
2271 # This tag requires that the tag HAVE_DOT is set to YES.
2272
2273 DOT_NUM_THREADS = 0
2274
2275 # When you want a differently looking font in the dot files that doxygen
2276 # generates you can specify the font name using DOT_FONTNAME. You need to make
2277 # sure dot is able to find the font, which can be done by putting it in a
2278 # standard location or by setting the DOTFONTPATH environment variable or by
2279 # setting DOT_FONTPATH to the directory containing the font.
2280 # The default value is: Helvetica.
2281 # This tag requires that the tag HAVE_DOT is set to YES.
2282
2283 DOT_FONTNAME = Helvetica
2284
2285 # The DOT_FONTSIZE tag can be used to set the size (in points) of the font of
2286 # dot graphs.
2287 # Minimum value: 4, maximum value: 24, default value: 10.
2288 # This tag requires that the tag HAVE_DOT is set to YES.
2289
2290 DOT_FONTSIZE = 10
2291
2292 # By default doxygen will tell dot to use the default font as specified with
2293 # DOT_FONTNAME. If you specify a different font using DOT_FONTNAME you can set
2294 # the path where dot can find it using this tag.
2295 # This tag requires that the tag HAVE_DOT is set to YES.
2296
2297 DOT_FONTPATH =
2298
2299 # If the CLASS_GRAPH tag is set to YES then doxygen will generate a graph for
2300 # each documented class showing the direct and indirect inheritance relations.
2301 # Setting this tag to YES will force the CLASS_DIAGRAMS tag to NO.
2302 # The default value is: YES.
2303 # This tag requires that the tag HAVE_DOT is set to YES.
2304
2305 CLASS_GRAPH = YES
2306
2307 # If the COLLABORATION_GRAPH tag is set to YES then doxygen will generate a
2308 # graph for each documented class showing the direct and indirect implementation
2309 # dependencies (inheritance, containment, and class references variables) of the
2310 # class with other documented classes.
2311 # The default value is: YES.
2312 # This tag requires that the tag HAVE_DOT is set to YES.
2313
2314 COLLABORATION_GRAPH = YES
2315
2316 # If the GROUP_GRAPHS tag is set to YES then doxygen will generate a graph for
2317 # groups, showing the direct groups dependencies.
2318 # The default value is: YES.
2319 # This tag requires that the tag HAVE_DOT is set to YES.
2320
2321 GROUP_GRAPHS = YES
2322
2323 # If the UML_LOOK tag is set to YES, doxygen will generate inheritance and
2324 # collaboration diagrams in a style similar to the OMG's Unified Modeling
2325 # Language.
2326 # The default value is: NO.
2327 # This tag requires that the tag HAVE_DOT is set to YES.
2328
2329 UML_LOOK = NO
2330
2331 # If the UML_LOOK tag is enabled, the fields and methods are shown inside the
2332 # class node. If there are many fields or methods and many nodes the graph may
2333 # become too big to be useful. The UML_LIMIT_NUM_FIELDS threshold limits the
2334 # number of items for each type to make the size more manageable. Set this to 0
2335 # for no limit. Note that the threshold may be exceeded by 50% before the limit
2336 # is enforced. So when you set the threshold to 10, up to 15 fields may appear,
2337 # but if the number exceeds 15, the total amount of fields shown is limited to
2338 # 10.
2339 # Minimum value: 0, maximum value: 100, default value: 10.
2340 # This tag requires that the tag HAVE_DOT is set to YES.
2341
2342 UML_LIMIT_NUM_FIELDS = 10
2343
2344 # If the TEMPLATE_RELATIONS tag is set to YES then the inheritance and
2345 # collaboration graphs will show the relations between templates and their
2346 # instances.
2347 # The default value is: NO.
2348 # This tag requires that the tag HAVE_DOT is set to YES.
2349
2350 TEMPLATE_RELATIONS = NO
2351
2352 # If the INCLUDE_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are set to
2353 # YES then doxygen will generate a graph for each documented file showing the
2354 # direct and indirect include dependencies of the file with other documented
2355 # files.
2356 # The default value is: YES.
2357 # This tag requires that the tag HAVE_DOT is set to YES.
2358
2359 INCLUDE_GRAPH = YES
2360
2361 # If the INCLUDED_BY_GRAPH, ENABLE_PREPROCESSING and SEARCH_INCLUDES tags are
2362 # set to YES then doxygen will generate a graph for each documented file showing
2363 # the direct and indirect include dependencies of the file with other documented
2364 # files.
2365 # The default value is: YES.
2366 # This tag requires that the tag HAVE_DOT is set to YES.
2367
2368 INCLUDED_BY_GRAPH = YES
2369
2370 # If the CALL_GRAPH tag is set to YES then doxygen will generate a call
2371 # dependency graph for every global function or class method.
2372 #
2373 # Note that enabling this option will significantly increase the time of a run.
2374 # So in most cases it will be better to enable call graphs for selected
2375 # functions only using the \callgraph command. Disabling a call graph can be
2376 # accomplished by means of the command \hidecallgraph.
2377 # The default value is: NO.
2378 # This tag requires that the tag HAVE_DOT is set to YES.
2379
2380 CALL_GRAPH = YES
2381
2382 # If the CALLER_GRAPH tag is set to YES then doxygen will generate a caller
2383 # dependency graph for every global function or class method.
2384 #
2385 # Note that enabling this option will significantly increase the time of a run.
2386 # So in most cases it will be better to enable caller graphs for selected
2387 # functions only using the \callergraph command. Disabling a caller graph can be
2388 # accomplished by means of the command \hidecallergraph.
2389 # The default value is: NO.
2390 # This tag requires that the tag HAVE_DOT is set to YES.
2391
2392 CALLER_GRAPH = YES
2393
2394 # If the GRAPHICAL_HIERARCHY tag is set to YES then doxygen will graphical
2395 # hierarchy of all classes instead of a textual one.
2396 # The default value is: YES.
2397 # This tag requires that the tag HAVE_DOT is set to YES.
2398
2399 GRAPHICAL_HIERARCHY = YES
2400
2401 # If the DIRECTORY_GRAPH tag is set to YES then doxygen will show the
2402 # dependencies a directory has on other directories in a graphical way. The
2403 # dependency relations are determined by the #include relations between the
2404 # files in the directories.
2405 # The default value is: YES.
2406 # This tag requires that the tag HAVE_DOT is set to YES.
2407
2408 DIRECTORY_GRAPH = YES
2409
2410 # The DOT_IMAGE_FORMAT tag can be used to set the image format of the images
2411 # generated by dot. For an explanation of the image formats see the section
2412 # output formats in the documentation of the dot tool (Graphviz (see:
2413 # http://www.graphviz.org/)).
2414 # Note: If you choose svg you need to set HTML_FILE_EXTENSION to xhtml in order
2415 # to make the SVG files visible in IE 9+ (other browsers do not have this
2416 # requirement).
2417 # Possible values are: png, jpg, gif, svg, png:gd, png:gd:gd, png:cairo,
2418 # png:cairo:gd, png:cairo:cairo, png:cairo:gdiplus, png:gdiplus and
2419 # png:gdiplus:gdiplus.
2420 # The default value is: png.
2421 # This tag requires that the tag HAVE_DOT is set to YES.
2422
2423 DOT_IMAGE_FORMAT = png
2424
2425 # If DOT_IMAGE_FORMAT is set to svg, then this option can be set to YES to
2426 # enable generation of interactive SVG images that allow zooming and panning.
2427 #
2428 # Note that this requires a modern browser other than Internet Explorer. Tested
2429 # and working are Firefox, Chrome, Safari, and Opera.
2430 # Note: For IE 9+ you need to set HTML_FILE_EXTENSION to xhtml in order to make
2431 # the SVG files visible. Older versions of IE do not have SVG support.
2432 # The default value is: NO.
2433 # This tag requires that the tag HAVE_DOT is set to YES.
2434
2435 INTERACTIVE_SVG = NO
2436
2437 # The DOT_PATH tag can be used to specify the path where the dot tool can be
2438 # found. If left blank, it is assumed the dot tool can be found in the path.
2439 # This tag requires that the tag HAVE_DOT is set to YES.
2440
2441 DOT_PATH =
2442
2443 # The DOTFILE_DIRS tag can be used to specify one or more directories that
2444 # contain dot files that are included in the documentation (see the \dotfile
2445 # command).
2446 # This tag requires that the tag HAVE_DOT is set to YES.
2447
2448 DOTFILE_DIRS =
2449
2450 # The MSCFILE_DIRS tag can be used to specify one or more directories that
2451 # contain msc files that are included in the documentation (see the \mscfile
2452 # command).
2453
2454 MSCFILE_DIRS =
2455
2456 # The DIAFILE_DIRS tag can be used to specify one or more directories that
2457 # contain dia files that are included in the documentation (see the \diafile
2458 # command).
2459
2460 DIAFILE_DIRS =
2461
2462 # When using plantuml, the PLANTUML_JAR_PATH tag should be used to specify the
2463 # path where java can find the plantuml.jar file. If left blank, it is assumed
2464 # PlantUML is not used or called during a preprocessing step. Doxygen will
2465 # generate a warning when it encounters a \startuml command in this case and
2466 # will not generate output for the diagram.
2467
2468 PLANTUML_JAR_PATH =
2469
2470 # When using plantuml, the PLANTUML_CFG_FILE tag can be used to specify a
2471 # configuration file for plantuml.
2472
2473 PLANTUML_CFG_FILE =
2474
2475 # When using plantuml, the specified paths are searched for files specified by
2476 # the !include statement in a plantuml block.
2477
2478 PLANTUML_INCLUDE_PATH =
2479
2480 # The DOT_GRAPH_MAX_NODES tag can be used to set the maximum number of nodes
2481 # that will be shown in the graph. If the number of nodes in a graph becomes
2482 # larger than this value, doxygen will truncate the graph, which is visualized
2483 # by representing a node as a red box. Note that doxygen if the number of direct
2484 # children of the root node in a graph is already larger than
2485 # DOT_GRAPH_MAX_NODES then the graph will not be shown at all. Also note that
2486 # the size of a graph can be further restricted by MAX_DOT_GRAPH_DEPTH.
2487 # Minimum value: 0, maximum value: 10000, default value: 50.
2488 # This tag requires that the tag HAVE_DOT is set to YES.
2489
2490 DOT_GRAPH_MAX_NODES = 50
2491
2492 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the graphs
2493 # generated by dot. A depth value of 3 means that only nodes reachable from the
2494 # root by following a path via at most 3 edges will be shown. Nodes that lay
2495 # further from the root node will be omitted. Note that setting this option to 1
2496 # or 2 may greatly reduce the computation time needed for large code bases. Also
2497 # note that the size of a graph can be further restricted by
2498 # DOT_GRAPH_MAX_NODES. Using a depth of 0 means no depth restriction.
2499 # Minimum value: 0, maximum value: 1000, default value: 0.
2500 # This tag requires that the tag HAVE_DOT is set to YES.
2501
2502 MAX_DOT_GRAPH_DEPTH = 1000
2503
2504 # Set the DOT_TRANSPARENT tag to YES to generate images with a transparent
2505 # background. This is disabled by default, because dot on Windows does not seem
2506 # to support this out of the box.
2507 #
2508 # Warning: Depending on the platform used, enabling this option may lead to
2509 # badly anti-aliased labels on the edges of a graph (i.e. they become hard to
2510 # read).
2511 # The default value is: NO.
2512 # This tag requires that the tag HAVE_DOT is set to YES.
2513
2514 DOT_TRANSPARENT = NO
2515
2516 # Set the DOT_MULTI_TARGETS tag to YES to allow dot to generate multiple output
2517 # files in one run (i.e. multiple -o and -T options on the command line). This
2518 # makes dot run faster, but since only newer versions of dot (>1.8.10) support
2519 # this, this feature is disabled by default.
2520 # The default value is: NO.
2521 # This tag requires that the tag HAVE_DOT is set to YES.
2522
2523 DOT_MULTI_TARGETS = NO
2524
2525 # If the GENERATE_LEGEND tag is set to YES doxygen will generate a legend page
2526 # explaining the meaning of the various boxes and arrows in the dot generated
2527 # graphs.
2528 # The default value is: YES.
2529 # This tag requires that the tag HAVE_DOT is set to YES.
2530
2531 GENERATE_LEGEND = YES
2532
2533 # If the DOT_CLEANUP tag is set to YES, doxygen will remove the intermediate dot
2534 # files that are used to generate the various graphs.
2535 # The default value is: YES.
2536 # This tag requires that the tag HAVE_DOT is set to YES.
2537
2538 DOT_CLEANUP = YES